const ENV_MODE = "Production";
const METHOD = "POST"; // const AWS_HOST = "http://34.225.130.79:32000/"
// const AWS_HOST = "http://34.225.130.79:30000/" 

const AWS_HOST = "http://34.225.130.79:34000/"; //Encription
//const AWS_HOST = "https://stgportal-1.housing.gov.om:30000/"

/* Portal Config */
// DEV Server
//const BASE_URL = 'http://localhost:8079/' 

const BASE_URL = "http://34.225.130.79:11095/"; //CMS URL paths
//New URL paths

const TOLLFREE = BASE_URL + "api/v1/tollfree?";
const TWIT = BASE_URL + "api/v1/twit?";
const TEMPLATE_CONTENT = BASE_URL + "api/v1/template-content?";
const CHILD_DATA = BASE_URL + "api/v1/child-data?";
const GET_COMPONENT_DATA = BASE_URL + "api/v1/get-component-data?";
const GET_COMMENT_DATA = BASE_URL + "api/v1/get-comment-data?";
const MAIN_NAV = BASE_URL + "api/v1/main-nav?";
const PAGE_DETAIL = BASE_URL + "api/v1/page-detail?";
const SEARCH = BASE_URL + "api/v1/search?";
const HOME_COMP = BASE_URL + "api/v1/home-comp?";
const GALLERY = BASE_URL + "api/v1/gallery?";
const GET_NEWS = BASE_URL + "api/v1/get-news?"; // route param

const MAIN_NAV_ROUTE_PARAM = 'r'; // menu route param

const MAIN_NAV_MENU_ROUTE_PARAM = 'm'; // home component anouncement param

const HOME_COMP_ANNOUNCEMENT_PARAM = 'announcement'; // home component anouncement param

const HOME_COMP_TESTIMONIAL_PARAM = 'testimonial'; // header contact id

const FOOTER_CONTACT = "11"; // header bottom id

const FOOTER_BOTTOM = "10";
/* Form Template */
//common templates start

const INDIVIDUAL_DETAILS_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/common/Individual-Details-form.json";
const INDIVIDUAL_BASIC_DETAILS_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/common/individual-basic-detail-form.json";
const COMPANY_DETAILS_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/common/Company-Details-form.json";
const REALESTATE_TABLE_LIST = process.env.REACT_APP_TEMPLATE_PATH + "config/reusable/table/real_estate/common/realestateTableList.json";
const LANDINFO_TABLE_FORM = process.env.REACT_APP_TEMPLATE_PATH + "config/reusable/table/real_estate/common/landInfoTableList.json";
const REOWNERINFO_TABLE_LIST_FORM = process.env.REACT_APP_TEMPLATE_PATH + "config/reusable/table/real_estate/common/reOwnerInfoTableList.json";
const DOC_NUM_SEARCH_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/common/Document-Number-Search-form.json";
const COURT_DETAILS_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/common/Court-details-form.json"; // End

const GET_WORKORDERFORM = process.env.REACT_APP_TEMPLATE_PATH + "template/workItem/workdetails-form.json";
const LN1ISPROCEEDFORM = process.env.REACT_APP_TEMPLATE_PATH + "template/ln1/ln1_A/landType-form.json";
const LN1RESIDENTS = process.env.REACT_APP_TEMPLATE_PATH + "template/ln1/ln1_A/residential-form.json";
const LN1APPLICATIONPREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/ln1/ln1_A/application-preview.json";
const LN1RESPREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/ln1/ln1_A/residential-preview.json";
const LN1_RE_RES_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/ln1/ln1_A/re-residential-form.json";
const LN1RE_SUBMIT_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/ln1/ln1_A/re-submit-residential-preview.json";
const LANDTEMPLATEDATA = process.env.REACT_APP_TEMPLATE_PATH + "template/ln1/ln1_A/landRequest-form.json";
const LN1COMMERCIAL = process.env.REACT_APP_TEMPLATE_PATH + "template/ln1/ln1_B/commercial-form.json";
const LN1LOCATIONSELECTIONFORM = process.env.REACT_APP_TEMPLATE_PATH + "template/ln1/ln1_B/location-selection-form.json";
const TEMP_LN1A_EDIT_SPOUSE_TABLE_LIST = process.env.REACT_APP_TEMPLATE_PATH + "template/ln1/ln1_A/residential-spouse-table-list.json";
const TEMP_LN1A_WORKITEM_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/ln1/ln1_A/residential-workitem-preview.json";
const TEMP_LN1B_WORKITEM_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/ln1/ln1_B/commercial-workitem-preview.json";
const TEMP_LN1A_READY_FOR_DRAW_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/ln1/ln1_A/residential-ready-for-draw-preview.json";
const TEMP_LN1B_READY_FOR_DRAW_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/ln1/ln1_B/commercial-ready-for-draw-preview.json";
const LN1COMMERCIALCOMPANYDTLS = process.env.REACT_APP_TEMPLATE_PATH + "template/ln1/ln1_B/company-details.json";
const LN1B_ENDOWMENT_PAYMENT_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/ln1/ln1_B/endowment-resubmit-preview-form.json";
const LN1RESCOMMERCIALPREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/ln1/ln1_B/commercial-preview.json";
const LN1B_COMMERCIAL = process.env.REACT_APP_TEMPLATE_PATH + "template/ln1/ln1_B/commercial-preview-ln1b.json";
const LN1B_EDIT_COMMERCIAL = process.env.REACT_APP_TEMPLATE_PATH + "template/ln1/ln1_B/commercial-edit-preview-ln1b.json";
const LN1RESCOMMERCIAL = process.env.REACT_APP_TEMPLATE_PATH + "template/ln1/ln1_C/industrail.json";
const APPLICATION_TAB_VIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/ln1/ln1_A/application-view-table.json";
const APPLICATION_TAB_VIEW_LAND = process.env.REACT_APP_TEMPLATE_PATH + "template/ln1/ln1_A/application-view-table-land.json";
const LAND_DRAW_TAB_VIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/ln1/ln1_A/landDraw-details.json";
const LAND_POWER_OF_ATTORNEY = process.env.REACT_APP_TEMPLATE_PATH + "template/ln1/ln1_A/landAttorney-details.json";
const LAND_FROM_DRAW = process.env.REACT_APP_TEMPLATE_PATH + "template/ln1/ln1_A/getLandfromDraw.json";
const LN1_COMMERCIAL_RE_RES_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/ln1/ln1_B/re-commercial-form.json";
const LN1RE_COMMERCIAL_SUBMIT_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/ln1/ln1_B/re-submit-commercial-preview.json";
const LN1_COMMERCIAL_COMPANY_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/ln1/ln1_B/commercial-company-form.json";
const LN1_COMMERCIAL_COMPANY_PAYMENT_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/ln1/ln1_B/paylater-commercial-preview.json";
const LN1_RESIDENTIAL_COMPANY_PAYMENT_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/ln1/ln1_A/paylater-residential-preview.json";
const LN1_RESIDENTIAL_PARTNER_TABLE_LIST = process.env.REACT_APP_TEMPLATE_PATH + "config/reusable/table/ln1/partnershipTableList.json";
const LN1_SPOUSE_DETAILS_FORM_VIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/ln1/ln1_A/residential-apouse-details-form.json";
const LN1_PARTNER_DETAILS_FORM_VIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/ln1/ln1_B/commerical-partner-details-form.json";
const APPLICANT_ENTITY_DETAILS_FRM = process.env.REACT_APP_TEMPLATE_PATH + "template/land/ln3/applicant-entity-details-frm.json";
const LN3_APPLICAITON_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/land/ln3/land-request-application-form.json";
const LN3_ENTITY_TYPE_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/land/ln3/entityType-form.json";
const LN3_REQUESTED_LAND_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/land/ln3/requested-land-details-preview.json";
const LN3_REQUESTED_LAND_VIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/land/ln3/requested-land-details-view.json";
const LN3_ADD_COORDINATES_DETAILS_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/land/ln3/add-coordinates-details-form.json";
const LN3_RESUBMIT_PREVIEW_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/land/ln3/resubmit-request-preview-form.json";
const LN3_UPDATE_APPLICAITON_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/land/ln3/update-land-application-form.json";
const LN4_APPLICANT_ENTITY_DETAILS_FRM = process.env.REACT_APP_TEMPLATE_PATH + "template/ln4/applicant-entity-details-frm.json";
const LN4_APPLICAITON_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/ln4/land-request-application-form.json";
const LN4_APPLICAITON_FORM_INITIAL = process.env.REACT_APP_TEMPLATE_PATH + "template/ln4/ln4-project.json";
const LN4_APPLICAITON_FORM_INITIAL_PROXY = process.env.REACT_APP_TEMPLATE_PATH + "template/ln4/ln4-project-proxy.json";
const LN4_APPLICAITON_FORM_SECOND = process.env.REACT_APP_TEMPLATE_PATH + "template/ln4/ln4-land.json";
const LN4_APPLICAITON_FORM_SECOND_STATION = process.env.REACT_APP_TEMPLATE_PATH + "template/ln4/ln4-land-station.json";
const LN4_APPLICAITON_FORM_THIRD = process.env.REACT_APP_TEMPLATE_PATH + "template/ln4/ln4-location.json";
const LN4_GOVERNMENT_AUTHORITY_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/ln4/government-authority-form.json";
const LN4_GOVERNMENT_AUTHORITY_APPROVAL = process.env.REACT_APP_TEMPLATE_PATH + "template/ln4/government-authority-approval.json";
const LN4_APPLICAITON_ENTITY_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/ln4/ln4-entity.json";
const LN4_PROXY_APPLICANT_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/ln4/ln4-proxy-search-form.json";
const LN4_PROXY_DETAIL_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/ln4/ln4-proxy-applicant.json";
const LN4_REQUESTED_LAND_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/ln4/requested-land-details-preview.json";
const LN4_PROXY_LAND_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/ln4/ln4-proxy-preview.json";
const LN4_REQUESTED_LAND_VIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/ln4/requested-land-details-view.json";
const LN4_RESUBMIT_PREVIEW_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/ln4/resubmit-request-preview-form.json";
const LN4_INCOMPLETE_RESUBMIT_PREVIEW_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/ln4/incomplete-resubmit-form.json";
const LN4_UPDATE_APPLICAITON_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/ln4/update-land-application-form.json";
const LN4_ADD_GOVERNMENT_AUTHORITY_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/ln4/add-government-authority-details-form.json";
const LN4_APPROVAL_TABLE_LIST = process.env.REACT_APP_TEMPLATE_PATH + "template/ln4/approvalTableList.json";
const LN4_REJECT_TEMPLATE_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/ln4/reject-government-form.json";
const LN5_CONTRACT_PERIOD_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/ln5/Usufruct-contract-period.json";
const LN5_USEFRUCT_PREVIEW_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/ln5/ln5-applicant-entity-details.json";
const LN5_RESUBMIT_PREVIEW_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/ln5/resubmit-request-preview-form.json";
const LN5_PROXY_USEFRUCT_PREVIEW_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/ln5/ln5-proxy-preview.json";
const LN5_INCOMPLETE_RESUBMIT_PREVIEW_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/ln5/incomplete-resubmit-form.json";
const LN5_RENEW_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/ln5/renew-period.json";
const LN6_SEARCH_TEMPLATE_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/ln6/ln6-search-form.json";
const LN6_USEFRUCT_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/ln6/ln6-usefruct-details.json";
const LN6_USEFRUCT_REASON_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/ln6/ln6-usefruct-reason-form.json";
const LN6_USEFRUCT_PREVIEW_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/ln6/ln6-usefruct-preview.json";
const LN6_APPLICATION_TABLE_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/ln6/ln6-applicationTableList.json";
const LN6_APPLICANT_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/ln6/ln6-applicant-entity-details.json";
const TEMP_LN06A_WORKITEM_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/ln6/ln6-workitem-application-preview.json";
const TEMP_LN06A_PROXY_APPLICATION_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/ln6/ln6-proxy-application-preview copy.json";
const TEMP_LN06A_PROXY_WORKITEM_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/ln6/ln6-workitem-proxy-application-preview.json"; //RN15

const RN15_PROXY_APPLICANT_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn15/rn15-proxy-search-form.json";
const RN15_PROXY_DETAIL_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn15/rn15-proxy-applicant.json";
const RN15_INDIVIDUAL_REQUEST_PREVIEW_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn15/rn15-sale-details-preview-form.json";
const RN15_COMPANY_REQUEST_PREVIEW_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn15/rn15-company-details-preview.json";
const RN15_USER_APPLICANT_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn15/rn15-user-applicant-form.json";
const RN15_INCOMPLETE_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn15/rn15-incomplete-preview.json";
const RN15_COMPLETE_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn15/rn15-complete-preview.json";
const RN15_WORKITEM_COMPANY_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn15/rn15-workitem-entity-details.json";
const RN15_GOVERNMENT_AUTHORITY_APPROVAL = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn15/rn15-government-authority-approval.json";
const RN15_REJECT_TEMPLATE_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn15/rn15-reject-form.json"; //RN17

const RN17_COMPANY_REQUEST_PREVIEW_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn17/rn17-company-details-preview.json";
const RN17_INDIVIDUAL_REQUEST_PREVIEW_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn17/rn17-individual-details-preview-form.json";
const RN17_USUFRUCT_REASON_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn17/rn17-usefruct-reason-form.json";
const RN17_COMPLETE_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn17/rn17-complete-preview.json";
const RN17_WORKITEM_COMPANY_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn17/rn17-workitem-entity-details.json";
const RN17_INCOMPLETE_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn17/rn17-incomplete-preview.json";
const GET_MORTGAGE_APPLICATION_LIST_CONFIG = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn5/applicationTableList.json";
const NEW_ENTITY_USER_MORTGAGE_DETAILS_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn5/new-entity-mortgage-details-form.json";
const OLD_ENTITY_USER_MORTGAGE_DETAILS_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn5/old-entity-mortgage-details-form.json";
const BANK_SRCH_FRM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn5/bank-srch-frm.json";
const BANK_DETAILS_FRM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn5/bank-details-frm.json";
const NEW_SRCH_RETRANSFER_FRM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn5/new-RE-srch-frm.json";
const NEW_RE_ENTITY_FRM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn5/new-RE-Entity-details.json";
const NEW_ENTITY_FRM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn5/new-Entity-details.json";
const TRANSFER_MORTGAGE_DETAILS_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn5/transfer-mortgage-preview-form.json";
const TRANSFER_COMPANY_MORTGAGE_DETAILS_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn5/transfer-company-mortgage-preview-form.json";
const TRANSFER_ENTITY_DETAILS_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn5/transfer-entity-preview-form.json";
const TRANSFER_MORTGAGE_ENTITY_DETAILS_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn5/transfer-mortgage-entity-preview-form.json";
const TRANSFER_MORTGAGE_COMPANY_ENTITY_DETAILS_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn5/transfer-mortgage-company-entity-preview-form.json";
const TRANSFER_MORTGAGE_PAYMENT_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn5/transfer-mortgage-payment-preview.json";
const TRANSFER_COMPANY_MORTGAGE_PAYMENT_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn5/transfer-company-mortgage-payment-preview.json";
const TRANSFER_ENTITY_MORTGAGE_PAYMENT_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn5/transfer-entity-mortgage-payment-preview.json";
const TRANSFER_COMPANY_ENTITY_MORTGAGE_PAYMENT_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn5/transfer-company-entity-mortgage-payment-preview.json";
const UPDATE_MORTGAGE_DETAILS_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn5/update-workitem-mortgage-details-form.json";
const RN5_SERVICE_RESUBMIT_APPLICATION_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn5/user-mortgage-resubmit-preview-form.json";
const RN5_SERVICE_COMPANY_RESUBMIT_APPLICATION_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn5/user-mortgage-company-resubmit-preview-form.json";
const RN5_SERVICE_ENTITY_RESUBMIT_APPLICATION_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn5/user-mortgage-entity-resubmit-preview-form.json";
const RN5_SERVICE_COMPANY_ENTITY_RESUBMIT_APPLICATION_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn5/user-mortgage-company-entity-resubmit-preview-form.json";
const TRANSFER_VIEW_DETAILS_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn5/transfer-view-details-preview.json";
const TRANSFER_COMPANY_VIEW_DETAILS_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn5/transfer-company-view-details-preview.json";
const TRANSFER_ENTITY_VIEW_DETAILS_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn5/transfer-entity-view-details-preview.json";
const TRANSFER_COMPANY_ENTITY_VIEW_DETAILS_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn5/transfer-company-entity-view-details-preview.json";
const TRANSFER_OWNER_DETAILS_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn5/transfer-mortgage-owner-preview.json";
const TRANSFER_COMPANY_OWNER_DETAILS_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn5/transfer-company-mortgage-owner-preview.json";
const TRANSFER_ENTITY_OWNER_DETAILS_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn5/transfer-entity-mortgage-owner-preview.json";
const TRANSFER_COMPANY_ENTITY_OWNER_DETAILS_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn5/transfer-company-entity-mortgage-owner-preview.json";
const OLD_MORTGAGE_DETAILS_RELEASE_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn6/old-mortgage-details-release-form.json";
const RELEASE_RE_ENTITY_FRM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn6/release-RE-Entity-details.json";
const RELEASE_RE_OWNER_DETAILS = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn6/release-RE-Owner-details.json";
const RELEASE_MORTGAGE_DETAILS_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn6/release-mortgage-preview-form.json";
const RELEASE_COMPANY_MORTGAGE_DETAILS_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn6/release-company-mortgage-preview-form.json";
const RELEASE_MORTGAGE_PAYMENT_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn6/release-mortgage-payment-preview.json";
const RELEASE_MORTGAGE_PAYMENT_BANK = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn6/release-mortgage-preview-bank.json";
const RELEASE_MORTGAGE_COMPANY_PAYMENT_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn6/release-mortgage-company-payment-preview.json";
const RELEASE_VIEW_DETAILS_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn6/release-view-details-preview.json";
const RELEASE_COMPANY_VIEW_DETAILS_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn6/release-company-view-details-preview.json";
const RELEASE_BANK_SRCH_FRM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn6/release-bank-srch-frm.json";
const RELEASE_BANK_DETAILS_FRM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn6/release-bank-details-frm.json";
const RELEASE_RE_UPDATE_FRM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn6/release-RE-Update-details.json";
const RN6_SERVICE_RESUBMIT_APPLICATION_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn6/user-mortgage-resubmit-preview-form.json";
const RN6_SERVICE_COMPANY_RESUBMIT_APPLICATION_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn6/user-mortgage-company-resubmit-preview-form.json";
const RN6_REAL_ESTATE_DETAILS_SEARCH_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn6/real-estate-details-form.json";
const RN6_SERVICE_OWNER_COMPANY_PREIVEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn6/owner-mortgage-company-preview-form.json";
const RN6_SERVICE_OWNER_PREIVEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn6/owner-mortgage-preview-form.json";
const REAL_ESTATE_SRCH_FRM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn8/real-estate-srch-frm.json";
const GET_REAL_ESTATE_LIST_CONFIG = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn8/realestateTableList.json";
const TESTAMENT_RE_ENTITY_FRM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn8/testament-RE-Entity-details.json";
const PROXY_SRCH_DETAILS_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn8/proxy-details-serch-form.json";
const PROXY_DETAILS_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn8/proxy-details-form.json";
const PROXY_PERSONAL_DETAILS_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn8/proxy-personal-details-form.json";
const TESTAMENT_COURT_DETAILS_FRM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn8/testament-court-details-frm.json";
const RN8_TESTAMENT_DETAILS_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn8/rn8-testament-details-form.json";
const RN8_TESTAMENT_SEARCH_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn8/rn8-testament-srch-form.json";
const RN8_NEW_OWNER_DETAILS_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn8/new-owner-details-form.json";
const TESTAMENT_DETAILS_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn8/testament-preview-form.json";
const RN8_ADD_OWNER_PERCENTAGE_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn8/rn8-add-new-owner-percentage.json";
const RN8_WORKITEM_OWNER_PERCENTAGE_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn8/rn8-workitem-add-new-owner-percentage.json";
const TESTAMENT_PAYMENT_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn8/testament-payment-preview.json";
const RN8_SERVICE_RESUBMIT_APPLICATION_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn8/user-testament-resubmit-preview-form.json";
const REAL_ESTATE_SRCH_FRM_RE_SUBMIT = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn8/real-estate-srch-frm-resubmit.json";
const RN12_APPLICANT_REALESTATE_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn12/applicant-real-estate-form.json";
const RN12_PROXY_APPLICANT_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn12/proxy-applicant-form.json";
const RN12_OWNER_DETAILS_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn12/owner-detail-form.json";
const SPLIT_RE_ENTITY_FRM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn12/split-RE-Entity-details.json";
const UPDATED_RE_OWNER_DETAILS_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn12/RE-Owner-preview-form.json";
const UPDATED_RE_PROXY_OWNER_DETAILS_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn12/RE-Proxy-owner-preview-form.json";
const SPLIT_VIEW_DETAILS_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn12/split-view-details-preview.json";
const RN12_ADD_OWNER_DETAILS_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn12/add-owner-details-form.json";
const SPLIT_RE_PAYMENT_DETAILS_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn12/split-RE-payment-preview.json";
const PROXY_REAL_ESTATE_SRCH_FRM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn12/Proxy-real-estate-srch-frm.json";
const RN1OMANISERVICEAPPLICATIONFORMVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn1/real-estate-omani-form.json";
const RN1COMPANYAPPLICATIONFORMVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn1/real-estate-company-details-form.json";
const RN1OMANILOSTSERVICEPREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn1/real-estate-lost-preview-omani-form.json";
const RN1COMPANYLOSTSERVICEPREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn1/real-estate-company-lost-preview-omani-form.json";
const RN1OMANIDAMAGEDSERVICEPREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn1/real-estate-damaged-preview-omani-form.json";
const RN1COMPANYDAMAGEDSERVICEPREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn1/real-estate-company-damaged-preview-omani-form.json";
const RN1OMANIREQUESTDOCUMENTSERVICEPREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn1/real-estate-requestdocument-preview-omani-form.json";
const RN1COMPANYREQUESTDOCUMENTSERVICEPREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn1/real-estate-company-requestdocument-preview-omani-form.json";
const RN1OMANIOWNERSHIPDATASERVICEPREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn1/real-estate-ownershipdata-preview-omani-form.json";
const RN1COMPANYOWNERSHIPDATASERVICEPREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn1/real-estate-company-ownershipdata-preview-omani-form.json";
const RN1DOMANIOWNERSHIPDATASERVICEPREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn1/real-estate-ownershipdataofficial-preview-omani-form.json";
const RN1DCOMPANYOWNERSHIPDATASERVICEPREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn1/real-estate-company-ownershipdataofficial-preview-omani-form.json";
const RN1OMANIREQUEESTREDOCUMENTSERVICEPREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn1/real-estate-requestredocument-preview-omani-form.json";
const RN1GCCFOREINGERSERVICEAPPLICATIONFORMVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn1/real-estate-gcc-foreigner-form.json";
const RN1GCCFOREINGERLOSTSERVICEPREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn1/real-estate-lost-preview-gcc-foreigner-form.json";
const RN1GCCFOREINGERDAMAGEDSERVICEPREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn1/real-estate-damaged-preview-gcc-foreigner-form.json";
const RN1GCCFOREINGERREQUESTDOCUMENTSERVICEPREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn1/real-estate-requestdocument-preview-gcc-foreigner-form.json";
const RN1GCCFOREINGEROWNERSHIPDATASERVICEPREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn1/real-estate-ownershipdata-preview-gcc-foreigner-form.json";
const RN1DGCCFOREINGEROWNERSHIPDATASERVICEPREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn1/real-estate-ownershipdataofficial-preview-gcc-foreigner-form.json";
const RN1GCCFOREINGERREQUEESTREDOCUMENTSERVICEPREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn1/real-estate-requestredocument-preview-gcc-foreigner-form.json";
const RN1POSTOFFICEAPPLICATIONFORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn1/real-estate-postoffice.json";
const RN1REGIONALOFFICEAPPLICATIONFORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn1/real-estate-regionaloffice.json";
const RN1REGIONALOFFICEAPPLICATIONCUSTOMFORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn1/real-estate-custom-regionaloffice.json";
const RN1UNOFFICIALFILEFORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn1/real-estate-unofficial-file-form.json";
const RN1LOSTDOCUMENTREQUEST = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn1/real-estate-documnet-lost-form.json";
const RN1DAMAGEDDOCUMENTREQUEST = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn1/real-estate-documnet-damaged-form.json";
const RN1REQUESTDISPLAYREALESTATEDDOCUMENT = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn1/request-display-real-estate-documnet-form.json";
const RN1AOMANIREALESTATEVIEWFORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn1/application-details/real-estate-lost-application-details-omani-form.json";
const RN1ACOMPANYREALESTATEVIEWFORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn1/application-details/real-estate-company-lost-application-details-omani-form.json";
const RN1AGCCREALESTATEVIEWFORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn1/application-details/real-estate-lost-application-details-gcc-foreigner-form.json";
const RN1BOMANIREALESTATEVIEWFORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn1/application-details/real-estate-damaged-application-details-omani-form.json";
const RN1BCOMPANYREALESTATEVIEWFORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn1/application-details/real-estate-company-damaged-application-details-omani-form.json";
const RN1BGCCREALESTATEVIEWFORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn1/application-details/real-estate-damaged-application-details-gcc-foreigner-form.json";
const RN1COMANIREALESTATEVIEWFORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn1/application-details/real-estate-ownershipdata-application-details-omani-form.json";
const RN1CCOMPANYREALESTATEVIEWFORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn1/application-details/real-estate-company-ownershipdata-application-details-omani-form.json";
const RN1CGCCREALESTATEVIEWFORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn1/application-details/real-estate-ownershipdata-application-details-gcc-foreigner-form.json";
const RN1EOMANIREALESTATEVIEWFORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn1/application-details/real-estate-requestdocument-application-details-omani-form.json";
const RN1ECOMPANYREALESTATEVIEWFORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn1/application-details/real-estate-company-requestdocument-application-details-omani-form.json";
const RN1EGCCREALESTATEVIEWFORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn1/application-details/real-estate-requestdocument-application-details-gcc-foreigner-form.json";
const RN1AOMANIREALESTATEVIEWFORMFINAL = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn1/workitem/application-details/real-estate-lost-application-details-omani-form.json";
const RN1ACOMPANYREALESTATEVIEWFORMFINAL = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn1/workitem/application-details/real-estate-company-lost-application-details-omani-form.json";
const RN1AGCCREALESTATEVIEWFORMFINAL = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn1/workitem/application-details/real-estate-lost-application-details-gcc-foreigner-form.json";
const RN1BOMANIREALESTATEVIEWFORMFINAL = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn1/workitem/application-details/real-estate-damaged-application-details-omani-form.json";
const RN1BCOMPANYREALESTATEVIEWFORMFINAL = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn1/workitem/application-details/real-estate-company-damaged-application-details-omani-form.json";
const RN1BGCCREALESTATEVIEWFORMFINAL = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn1/workitem/application-details/real-estate-damaged-application-details-gcc-foreigner-form.json";
const RN1COMANIREALESTATEVIEWFORMFINAL = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn1/workitem/application-details/real-estate-ownershipdata-application-details-omani-form.json";
const RN1CCOMPANYREALESTATEVIEWFORMFINAL = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn1/workitem/application-details/real-estate-company-ownershipdata-application-details-omani-form.json";
const RN1DCOMANIREALESTATEVIEWFORMFINAL = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn1/workitem/application-details/real-estate-ownershipdataofficial-application-details-omani-form.json";
const RN1DCCOMPANYREALESTATEVIEWFORMFINAL = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn1/workitem/application-details/real-estate-company-ownershipdataofficial-application-details-omani-form.json";
const RN1CGCCREALESTATEVIEWFORMFINAL = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn1/workitem/application-details/real-estate-ownershipdata-application-details-gcc-foreigner-form.json";
const RN1EOMANIREALESTATEVIEWFORMFINAL = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn1/workitem/application-details/real-estate-requestdocument-application-details-omani-form.json";
const RN1ECOMPANYREALESTATEVIEWFORMFINAL = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn1/workitem/application-details/real-estate-company-requestdocument-application-details-omani-form.json";
const RN1EGCCREALESTATEVIEWFORMFINAL = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn1/workitem/application-details/real-estate-requestdocument-application-details-gcc-foreigner-form.json";
const RN1AOMANIREALESTATEWORKIREMFORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn1/workitem/real-estate-lost-workitem-omani-form.json";
const RN1ACOMPANYREALESTATEWORKIREMFORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn1/workitem/real-estate-company-lost-workitem-omani-form.json";
const RN1AGCCREALESTATEWORKIREMFORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn1/workitem/real-estate-lost-workitem-gcc-foreigner-form.json";
const RN1BOMANIREALESTATEWORKIREMFORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn1/workitem/real-estate-damaged-workitem-omani-form.json";
const RN1BCOMPANYREALESTATEWORKIREMFORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn1/workitem/real-estate-company-damaged-workitem-omani-form.json";
const RN1BGCCREALESTATEWORKIREMFORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn1/workitem/real-estate-damaged-workitem-gcc-foreigner-form.json";
const RN1COMANIREALESTATEWORKIREMFORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn1/workitem/real-estate-ownershipdata-workitem-omani-form.json";
const RN1CCOMPANYREALESTATEWORKIREMFORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn1/workitem/real-estate-company-ownershipdata-workitem-omani-form.json";
const RN1DCOMANIREALESTATEWORKIREMFORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn1/workitem/real-estate-ownershipdataofficial-workitem-omani-form.json";
const RN1DCCOMAPYREALESTATEWORKIREMFORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn1/workitem/real-estate-comapny-ownershipdataofficial-workitem-omani-form.json";
const RN1CGCCREALESTATEWORKIREMFORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn1/workitem/real-estate-ownershipdata-workitem-gcc-foreigner-form.json";
const RN1DCGCCREALESTATEWORKIREMFORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn1/workitem/real-estate-ownershipdataofficial-workitem-gcc-foreigner-form.json";
const RN1EOMANIREALESTATEWORKIREMFORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn1/workitem/real-estate-requestdocument-workitem-omani-form.json";
const RN1ECOMPANYREALESTATEWORKIREMFORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn1/workitem/real-estate-company-requestdocument-workitem-omani-form.json";
const RN1EGCCREALESTATEWORKIREMFORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn1/workitem/real-estate-requestdocument-workitem-gcc-foreigner-form.json";
const RN2REALESTATEFREEZINGFORMREQUESTVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn2/real-estate-freezing-form.json";
const RN2RN3ApprovalPreview = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn2/workitem/real-estate-app-preview.json";
const ROPAPPROVAL_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rop/real-estate-rop-form.json";
const ROPINFORMATION_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rop/rop-informationform.json";
const ROPAPPROVAL_PREVIEW_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rop/real-estate-rop-preview.json";
const RN2RN3ApprovalUnFreezePreview = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn2/workitem/real-estate-app-unfreeze-preview.json";
const RN2RN3ApprovalFreezePreview = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn2/workitem/real-estate-app-freeze-preview.json";
const RN2RN3COMPANYApprovalUnFreezePreview = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn2/workitem/real-estate-app-company-unfreeze-preview.json";
const RN2RN3COMPANYApprovalFreezePreview = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn2/workitem/real-estate-app-company-freeze-preview.json";
const RN2REALESTATEFREEZINGMOHUSER = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn2//mohuser/real-estate-mohuser-view-form.json";
const RN2REALESTATEFREEZINGMOHUSERUNFREEZE = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn2//mohuser/real-estate-mohuser-unfreeze-view-form.json";
const RN2REALESTATEFREEZINGCOURTFORMREQUESTVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn2/real-estate-court-freezing-form.json";
const TEMP_RN2_RE_SEARCH_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn2-rn3-court-flow/real-estate-search-form.json";
const COURT_CASE_DETAILS_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn2-rn3-court-flow/case-details-form.json";
const RN2_COURT_APPLICATION_PREVIEW_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn2-rn3-court-flow/real-estate-court-freezing-preview-form.json";
const RN2_COURT_APPLICATION_COMPANY_PREVIEW_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn2-rn3-court-flow/real-estate-court-freezing-company-preview-form.json";
const RN3_COURT_CASE_NUMBER_SEARCH_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn2-rn3-court-flow/case-number-search-unfreezing-form.json";
const RN2REALESTATEFREEZINGFORMPREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn2/real-estate-freezing-preview-form.json";
const RN2COMPANYREALESTATEFREEZINGFORMPREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn2/real-estate-company-freezing-preview-form.json";
const RN2FREEZREQUESTFILEFORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn2/real-estate-freezing-view-form.json";
const RN2_COURT_SEARCH_LIST = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn2/real-estate-court-search.json";
const RN2REALESTATEFREEZINGWORKITEMFORMPREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn2/workitem/real-estate-freezing-workitem-preview-form.json";
const RN2REALESTATEFREEZINGWORKITEMFORMPREVIEWCOURT = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn2/workitem/real-estate-freezing-workitem-preview-payment-court.json";
const RN2COMPANYREALESTATEFREEZINGWORKITEM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn2/workitem/real-estate-company-freezing-workitem-preview-payment-court.json";
const RN2COMPANYREALESTATEUNFREEZINGWORKITEM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn2/workitem/real-estate-company-unfreezing-workitem-preview-payment-court.json";
const RN2REALESTATEFREEZINGWORKITEMPAYMENT = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn2/workitem/real-estate-freezing-workitem-preview-payment-form.json";
const RN2REALESTATEFREEZINGWORKITEM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn2/workitem/real-estate-freezing-workitem-view-form.json";
const RN3REALESTATEFREEZINGFORMREASON = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn2/workitem/real-estate-unfreezing-workitem-view-form.json";
const RN2REALESTATEUNFREEZINGFORMPREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn2-rn3-court-flow/real-estate-unfreezing-preview-form.json";
const RN3_MOHUSER_UNFREEZE_SEARCH_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn2-rn3-court-flow/moh-unfreeze-srch-frm.json";
const RN2REALESTATEFREEZINGAPPRESUBMIT = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn2/workitem/real-estate-freezing-workitem-resubmit-preview-form.json";
const RN3REALESTATEUNFREEZEAPPREQUEST = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn3/real-estate-unfreezing-form-request.json";
const RN3UNFREEZREFORMVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn3/real-estate-unfreezing-form.json";
const RN3UNFREEZEVIEWFILE = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn3/real-estate-unfreezing-view-form.json";
const REOWNERUNFREEZEVIEWFILE = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn3/real-estate-view.json";
const RN3REALESTATEFREEZINGFORMPREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn3/real-estate-unfreezing-preview-form.json";
const RN3COMPANYREALESTATEFREEZINGFORMPREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn3/real-estate-company-unfreezing-preview-form.json";
const RN2REALESTATEFREEZINGMOHUSERFORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn2/mohuser/real-estate-mohuser-query-form-request.json";
const RN1REALESTATEORGUSERFORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn2/mohuser/real-estate-orguser-query-form-request.json";
const RNREALESTATEORGUSERFORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn2/mohuser/real-estate-orguser-requery-form-request.json";
const RN2_FREEZE_PREVIEW_MOHUSER = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn2/mohuser/real-estate-mohuser-freezing-preview-form.json";
const RN2_FREEZE_PREVIEW_MOHUSER_WORKITEM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn2/workitem/real-estate-mohuser-freezing-preview-form.json";
const RN3REALESTATEUNFREEZINGAPPRESUBMIT = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn3/real-estate-unfreezing-workitem-resubmit-preview-form.json";
const RN2REALESTATECOMPANYFREEZINGAPPRESUBMIT = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn2/workitem/real-estate-company-freezing-workitem-resubmit-preview-form.json";
const RN3REALESTATECOMPANYUNFREEZINGAPPRESUBMIT = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn3/real-estate-comapny-unfreezing-workitem-resubmit-preview-form.json";
const RN3_UNFREEZE_PREVIEW_MOHUSER = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn3/real-estate-mohuser-unfreezing-preview-form.json";
const RN3REALESTATEUNFREEZINGAPPVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn3/real-estate-unfreezing-application-preview-form.json";
const RN3REALESTATECOMPANYUNFREEZINGAPPVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn3/real-estate-company-unfreezing-application-preview-form.json";
const RN2REALESTATEFREEZINGAPPVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn3/real-estate-freezing-application-preview-form.json";
const RN2REALESTATECOMPANYFREEZINGAPPVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn3/real-estate-company-freezing-application-preview-form.json";
const RN3REALESTATEUNFREEZINGWORKITEMFORMPREVIEWCOURT = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn3/real-estate-unfreezing-workitem-preview-payment-court.json";
const RN2REALESTATEFREEZINGFORMREQUESTVIEW_COURT = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn2-rn3-court-flow/real-estate-freezing-form.json";
const RN2REALESTATEFREEZINGCOURTFORMREQUESTVIEW_COURT = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn2-rn3-court-flow/real-estate-court-freezing-form.json";
const RN2REALESTATEFREEZINGFORMPREVIEW_COURT = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn2-rn3-court-flow/real-estate-freezing-preview-form.json";
const RN2FREEZREQUESTFILEFORM_COURT = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn2-rn3-court-flow/real-estate-freezing-view-form.json";
const RN2_COURT_SEARCH_LIST_COURT = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn2-rn3-court-flow/real-estate-court-search.json";
const RN2UNFREEZREQUESTFILEFORM_COURT = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn2-rn3-court-flow/real-estate-unfreezing-view-form.json";
const TEMP_RN2_UNFREEZE_COURT_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn2-rn3-court-flow/real-estate-court-unfreezing-preview-form.json";
const USER_MORTGAGE_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn4/user-mortgage-form.json";
const COMPANY_MORTGAGE_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn4/company-mortgage-form.json";
const COMPANY_USER_MORTGAGE_DETAILS_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn4/company-user-mortgage-preview-form.json";
const RN4_COMPANY_DASHBOARD_APPLICATION_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn4/company-mortgage-application-details-omani-form.json";
const REAL_ESTATE_DETAILS_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn4/real-estate-details-form.json";
const USER_MORTGAGE_DETAILS_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn4/mortgage-details-form.json";
const BANK_MORTGAGE_DETAILS_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn4/mortgage-bank-details-form.json";
const USER_MORTGAGE_DETAILS_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn4/user-mortgage-preview-form.json";
const BANK_MORTGAGE_DETAILS_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn4/user-bank-mortgage-preview-form.json";
const COMPANY_MORTGAGE_DETAILS_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn4/company-mortgage-preview-form.json";
const BANK_SEARCH_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn4/bank-search-form.json";
const RN4_SERVICE_APPLICATION_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn4/real-estate-omani-form.json";
const RN4_SERVICE_RESUBMIT_APPLICATION_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn4/user-mortgage-resubmit-preview-form.json";
const RN4_SERVICE_PAYLATER_APPLICATION_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn4/user-mortgage-paylater-preview-form.json";
const RN4_BANK_SERVICE_RESUBMIT_APPLICATION_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn4/bank-mortgage-resubmit-preview-form.json";
const RN4_BANK_SERVICE_PAYLATER_APPLICATION_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn4/bank-mortgage-paylater-preview-form.json";
const RN4_COMPANY_SERVICE_RESUBMIT_APPLICATION_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn4/company-mortgage-resubmit-preview-form.json";
const RN4_COMPANY_PAYLATER_RESUBMIT_APPLICATION_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn4/company-mortgage-paylater-preview-form.json";
const RN4_COMPANY_PAYMENT_RESUBMIT_APPLICATION_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn4/company-mortgage-payment-preview-form.json";
const RN4_BANK_SERVICE_PAYMENT_APPLICATION_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn4/bank-mortgage-payment-preview-form.json";
const USER_MORTGAGE_DETAILS_RESUBMIT_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn4/mortgage-details-form-resubmit.json";
const BANK_MORTGAGE_DETAILS_RESUBMIT_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn4/bank-mortgage-details-form-resubmit.json";
const RN4_DASHBOARD_APPLICATION_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn4/real-estate-mortgage-application-details-omani-form.json";
const RN4_REOWNER_PREVIEW_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn4/rn4-owner-preview.json";
const RN4_COMPANY_REOWNER_PREVIEW_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn4/rn4-company-owner-preview.json";
const USER_APPLICANT_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn7/user-applicant-form.json";
const RN7_USER_APPLICANT_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn7/rn7-user-applicant-form.json";
const RN7_DECEASED_PERSON_SEARCH_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn7/rn7-deceased-form.json";
const RN7_DECEASED_OWNER_LIST = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn7/user-deceased-details.json";
const RN7_APPLICATION_DETAIL_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn7/rn7-application-detail-workitem.json";
const RN7_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn7/preview-form.json";
const RN7_INHERITANCE_SEARCH_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn7/rn7-inheritance-details-form.json";
const RN7_INHERITANCE_SEARCH_FORM_VIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn7/rn7-inheritance-details-form-view.json";
const RN7_GCC_INHERITANCE_SEARCH_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn7/rn7-gcc-inheritance-form.json";
const RN7_INCOMMPLETE_WORKITEM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn7/incommplete-workitem.json";
const RN7_WORKITEM_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn7/workitem-preview-form.json";
const RN7_INHERITANCE_TABLE_LIST = process.env.REACT_APP_TEMPLATE_PATH + "config/reusable/table/real_estate/rn7/inheritanceTableList.json";
const RN7_INHERITANCE_MNNER_TABLE_LIST = process.env.REACT_APP_TEMPLATE_PATH + "config/reusable/table/real_estate/rn7/inheritanceTableList_minner.json";
const RN7_REOWNERINFO_TABLE_LIST_CONFIG = process.env.REACT_APP_TEMPLATE_PATH + "config/reusable/table/real_estate/rn7/reOwnerInfoTableList.json";
const RN7_COURT_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn7/rn7-court-preview-form.json";
const RN7_COURT_DETAIL = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn7/rn7-court-details-form.json";
const RN7_GET_OWNER_INFO_LIST = process.env.REACT_APP_TEMPLATE_PATH + "config/reusable/table/real_estate/rn7/ownersTableList.json";
const RN7_SPLIT_RE_ENTITY_FRM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn7/split-RE-Entity-details.json";
const RN7_DECEASED_PERSON_DETAILS = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn7/deceased-person-details.json";
const RN9_USER_APPLICANT_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn9/rn9-user-applicant-form.json";
const RN9_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn9/rn9-preview-form.json";
const RN9_ENDOWMENT_DETAILS = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn9/rn9-endowment-details-form.json";
const RN9_ENDOWMENT_DETAILS_EDIT = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn9/rn9-endowment-details-form-edit.json";
const RN9_ENDOWMENT_DETAILS_RESUBMIT = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn9/rn9-endowment-details-form-resubmit.json";
const RN9_ENDOWMENT_PAYMENT_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn9/endowment-payment-preview.json";
const RN9_ENDOWMENT_DASHBOARD_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn9/endowment-dashboard-preview.json";
const RN9_SERVICE_RESUBMIT_APPLICATION_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn9/endowment-resubmit-preview-form.json";
const RN9_SERVICE_OWNER_APPLICATION_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn9/endowment-owner-preview-form.json";
const TEMP_RN9_COMPANY_REQUEST_ACTIVITY = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn9/company-details-request-activity.json";
const TEMP_RN9_ORG_TABLE_LIST = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn9/organization-table-list.json";
const TEMP_RN9_WAKF_TABLE_LIST = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn9/wakf-table-list-without-type.json";
const TEMP_RN9_WAKF_DETAILS = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn9/wakf-details-form.json";
const RN10_USER_APPLICANT_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn10/user-applicant-form.json";
const RN10_GRANT_DETAILS_SEARCH_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn10/search-granting-details.json";
const RN10_GRANT_TABLE_LIST_VIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn10/view-granting-details.json";
const RN10_GRANT_DETAILS = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn10/granting-details-form.json";
const RN10_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn10/preview-form.json";
const RN10_PROXY_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn10/proxy-preview-form.json";
const RN10_WORKITEM_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn10/workitem-preview-form.json";
const RN10_INCOMMPLETE_WORKITEM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn10/incommplete-workitem.json";
const RN10_PROXY_SEARCH_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn10/proxy-search-form.json";
const RN10_PROXY_APPLICANT_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn10/proxy-applicant.json";
const RN14_LAND_DETAILS_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn14/rn14-land-details-form.json";
const RN14_EXCHANGE_LAND_DETAILS = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn14/rn14-exchange-land-details.json";
const RN14_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn14/rn14-preview.json";
const RN14_FIRST_PARTY_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn14/first-party-form.json";
const RN14_PROXY_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn14/proxy-preview-form.json";
const RN14_INCOMMPLETE_WORKITEM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn14/incommplete-workitem.json";
const RN14_WORKITEM_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn14/workitem-preview-form.json";
const RN14_APPLICATION_LIST = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn14/applicationTableList.json";
const RN10_APPLICANT_DETAILS = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn10/rn10-user-applicant-form.json";
const RN10_GRANT_DETAILS_CITIZEN = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn10/granting-details-form-citizen.json";
const RN10_DASHBOARD_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn10/dasboard-preview.json";
const RN8_WORKITEM_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn8/rn8-workitem-preview.json";
/* Table Config */

const LN1_RESIDENTIAL_RELATIONSHIP_TABLE_LIST = process.env.REACT_APP_TEMPLATE_PATH + "config/reusable/table/ln1/relationshipTableList.json";
const LN3_GET_COORDINATES_LIST = process.env.REACT_APP_TEMPLATE_PATH + "config/reusable/table/ln3/coordinatesTableList.json";
const RN6_OWNERSHIP_TABLE_LIST = process.env.REACT_APP_TEMPLATE_PATH + "config/reusable/table/real_estate/rn6/ownerShipTableList.json";
const RN6_GET_MORTGAGE_APPLICATION_LIST_CONFIG = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn6/applicationTableList.json";
const RN6_USER_APPLICANT_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn6/rn6-user-applicant-form.json";
const RN8_TESTAMENT_TABLE_LIST = process.env.REACT_APP_TEMPLATE_PATH + "config/reusable/table/real_estate/rn8/testamentTableList.json";
const RN8_TESTAMENT_TABLE_VIEW_LIST = process.env.REACT_APP_TEMPLATE_PATH + "config/reusable/table/real_estate/rn8/testamentTableViewList.json";
const RN12_GET_LAND_INFO_LIST = process.env.REACT_APP_TEMPLATE_PATH + "config/reusable/table/real_estate/rn12/applicationTableList.json";
const RN12_GET_OWNER_INFO_LIST = process.env.REACT_APP_TEMPLATE_PATH + "config/reusable/table/real_estate/rn12/ownersTableList.json";
const RN12_GET_SHARED_LAND_INFO_LIST = process.env.REACT_APP_TEMPLATE_PATH + "config/reusable/table/real_estate/rn12/sharedLandTableList.json";
const GET_LANDINFO_LIST_CONFIG = process.env.REACT_APP_TEMPLATE_PATH + "config/reusable/table/real_estate/rn1/applicationTableList.json";
const RN2_GET_LANDINFO_LIST_CONFIG = process.env.REACT_APP_TEMPLATE_PATH + "config/reusable/table/real_estate/rn2/applicationTableList.json";
const RN3_GET_LANDINFO_LIST_CONFIG = process.env.REACT_APP_TEMPLATE_PATH + "config/reusable/table/real_estate/rn3/unFreezeApplicationTableList.json";
const RN3_MOH_GET_LANDINFO_LIST_CONFIG = process.env.REACT_APP_TEMPLATE_PATH + "config/reusable/table/real_estate/rn3/unFreezeApplicationMOHEmpTableList.json";
const GET_RETABL_LIST_CONFIG = process.env.REACT_APP_TEMPLATE_PATH + "config/reusable/table/real_estate/rn2/reTableList.json";
const GET_RETABL_LIST_CONFIG_SUCCESS = process.env.REACT_APP_TEMPLATE_PATH + "config/reusable/table/real_estate/rn2/application-success.json";
const RN2_GET_LANDINFO_LIST_CONFIG_COURT = process.env.REACT_APP_TEMPLATE_PATH + "config/reusable/table/real_estate/rn2/applicationTableList.json";
const APPLICATION_DETAILS = process.env.REACT_APP_TEMPLATE_PATH + "/config/reusable/table/ln1/applicationDetails.json";
const GET_APPLICATION_DETAILS_CONFIG = process.env.REACT_APP_TEMPLATE_PATH + "/config/reusable/table/ln1/applicationDetailsConfig.json";
const GET_WORK_ITEM_LIST_CONFIG = process.env.REACT_APP_TEMPLATE_PATH + "config/reusable/table/mohuser/applicationTableList.json";
const GET_REMARK_LIST = process.env.REACT_APP_TEMPLATE_PATH + "config/reusable/table/real_estate/rn2/reMarkTableList.json";
const RN4_COMPANY_REOWNERINFO_TABLE_LIST_CONFIG = process.env.REACT_APP_TEMPLATE_PATH + "config/reusable/table/real_estate/rn4/reOwnerInfoTableList.json";
const RN9_LAND_DETAILS_FORM = process.env.REACT_APP_TEMPLATE_PATH + "config/reusable/table/real_estate/rn9/rn9-land-details-form.json";
const RN10_GRANT_TABLE_LIST = process.env.REACT_APP_TEMPLATE_PATH + "config/reusable/table/real_estate/rn10/grantingTableList.json";
const RE_LEGAL_FORM = process.env.REACT_APP_TEMPLATE_PATH + "config/reusable/table/real_estate/real-estate-details-form.json";
const RN10_GRANT_SEARCH_DETAILS = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn10/granting-search-form.json";
const GET_NAME_CHANGE_LIST_CONFIG = process.env.REACT_APP_TEMPLATE_PATH + "config/reusable/table/real_estate/rn1/nameChange-table.json"; //RN13

const BUYER_COMPANY_REOWNER_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn21/Buyer-Company-ReOwner-preview-form.json";
const BUYER_REOWNER_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn21/Buyer-ReOwner-preview-form.json";
const RN21_BUYER_SEARCH_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn21/rn21-buyer-srch-form.json";
const RN21_SELLER_SEARCH_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn21/rn21-seller-srch-form.json";
const RN21_SELLER_DETAILS_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn21/seller-details-form.json";
const RN21_ADD_BUYER_DETAILS_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn21/buyer-details-form.json";
const RN21_BUYER_TABLE_LIST = process.env.REACT_APP_TEMPLATE_PATH + "config/reusable/table/real_estate/rn21/BuyerTableList.json";
const RN21_NEW_BUYER_DETAILS_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn21/new-buyer-details-form.json";
const RN21_LAND_INFO_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn21/rn21-land-info-form.json";
const RN21_SALE_DETAILS_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn21/sale-details-preview-form.json";
const RN21_SALE_DETAILS_COMPANY_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn21/sale-details-company-preview-form.json";
const RN21_BROKER_SEARCH_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn21/rn21-broker-srch-form.json";
const RN21_SALE_DETAILS_RESUBMIT_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn21/sale-details-resubmit-form.json";
const RN21_BROKER_DETAILS_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn21/broker-details-preview-form.json";
const RN21_BROKER_COMPANY_DETAILS_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn21/broker-company-details-preview-form.json";
const RN21_BROKER_APPLICANT_DETAILS_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn21/broker-applicant-details-preview-form.json";
const RN21_BROKER_COMPANY_APPLICANT_DETAILS_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn21/broker-company-applicant-preview.json";
const RN21_BUYERS_DETAILS_COMPANY_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn21/buyer-details-company-preview-form.json";
const RN21_BUYERS_DETAILS_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn21/buyer-details-preview-form.json";
const RN21_BROKER_SALE_DETAILS_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn21/broker-sale-details-preview.json";
const RN21_SALE_DETAILS_PAYMENT_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn21/sale-details-payment-preview-form.json";
const RN21_REOWNER_PREVIEW_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn21/REOwner-preview-form.json";
const RN21_COMPANY_REOWNER_PREVIEW_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn21/company-REOwner-preview-form.json";
const RN21_COMPANY_CONTRACT_REOWNER_PREVIEW_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn21/company-contract-REOwner-preview.json";
const RN21_CONTRACT_REOWNER_PREVIEW_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn21/contract-REOwner-preview.json";
const RN21_PROXY_SALE_DETAILS_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn21/sale-details-with-proxy-preview-form.json";
const RN21_PROPERTY_DETAILS_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn21/property-details-form.json";
const RN21_CONTRACT_TABLE_LIST = process.env.REACT_APP_TEMPLATE_PATH + "config/reusable/table/real_estate/rn21/contractsTableList.json";
const RN21_BROKER_DETAILS_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn21/broker-entity-details.json";
const RN21_BROKER_TABLE_LIST = process.env.REACT_APP_TEMPLATE_PATH + "config/reusable/table/real_estate/rn21/BrokerTableList.json";
const RN21_REOWNER_BROKER_PREVIEW_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn21/REOwner-broker-preview-form.json";
const RN21_REOWNER_COMPANY_BROKER_PREVIEW_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn21/REOwner-company-broker-preview-form_view.json";
const RN13C_BROKER_STANDARD_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn21/broker-standard-preview-form.json";
const RN13C_BROKER_COMPANY_STANDARD_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn21/broker-company-standard-preview-form.json";
const RN13C_BROKER_CONTRACT_DETAILS_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn21/broker-contract-details-preview-form.json";
const RN13C_BROKER_COMPANY_CONTRACT_DETAILS_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn21/broker-company-contract-details-preview-form.json";
const RN21_BROKER_LAND_INFO_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn21/rn21-broker-land-amount-form.json";
const RN21_REOWNER_BROKER_FINAL_PREVIEW_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn21/REOwner-broker-final-preview-form.json";
const RN21_REOWNER_BROKER_COMPANY_FINAL_PREVIEW_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn21/REOwner-broker-company-final-preview-form.json";
const RN21_REOWNER_PAYMENT_PREVIEW_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn21/REOwner-payment-preview-form.json";
const APPLICATION_DASHBOARD_TABLE_LIST = process.env.REACT_APP_TEMPLATE_PATH + "config/reusable/table/ln1/tableConfig.json";
const BROKER_CONTRACT_DASHBOARD_TABLE_LIST = process.env.REACT_APP_TEMPLATE_PATH + "config/reusable/table/ln1/brokerContractTableConfig.json";
const RN13_APPLICAION_DASHBOARD_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn21/applicationDashBoard-preview.json";
const RN13_APPLICAION_COMPANY_DASHBOARD_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn21/company-dashboard-preview.json";
const RN13B_REOWNER_PAYMENT_PREVIEW_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn21/rn13-REOwner-payment-preview-form.json";
const RN13B_COMPANY_REOWNER_PAYMENT_PREVIEW_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn21/rn13-company-REOwner-payment-preview-form.json";
const RN21_USER_STANDARD_INITAL_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn21/user-standard-initial-preview.json";
const RN21_REOWNER_STANDARD_INITAL_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn21/REOwner-broker-standard-preview-form.json";
const RN21_USER_COMPANY_STANDARD_INITAL_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn21/user-company-initial-preview-form.json";
const RN21_REOWNER_COMPANY_STANDARD_INITAL_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn21/REOwner-broker-company-standard-preview-form.json";
const RN13C_BROKER_APPLICANT_PAYMENT_PREVIEW_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn21/rn13-broker-applicant-payment-preview-form.json";
const RN13C_BROKER_COMPANY_APPLICANT_PAYMENT_PREVIEW_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn21/rn13-broker-company-applicant-payment-preview-form.json";
const TEMP_RN16_BENEFICIARY_TABLE_LIST = process.env.REACT_APP_TEMPLATE_PATH + "config/reusable/table/real_estate/rn15-rn16/BeneficiaryTableList.json";
const TEMP_RN16_USUFRUCT_DETAILS = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn15-rn16/usufruct-details-form.json";
const TEMP_RN16_BENEFICIARY_REQUEST_TYPE = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn15-rn16/beneficiary-request-type.json";
const TEMP_RN16_SEARCH_INDIVIDUAL = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn15-rn16/individual-search-form.json";
const TEMP_RN16_SEARCH_COMPANY = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn15-rn16/company-search-form.json";
const TEMP_RN16_COMPANY_REQUEST_ACTIVITY = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn15-rn16/company-details-request-activity.json";
const TEMP_RN16_COMPANY_TABLE_LIST = process.env.REACT_APP_TEMPLATE_PATH + "config/reusable/table/real_estate/rn15-rn16/CompanyTableList.json";
const RN16_USUFRUCT_DETAILS_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn15-rn16/usufruct-Company-details-preview.json";
const RN16_USUFRUCT_INDIVIDUAL_DETAILS_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn15-rn16/usufruct-individual-details-preview.json";
const TEMP_USUFRUCT_FINANCIAL_OBLIGATION_TABLE_LIST = process.env.REACT_APP_TEMPLATE_PATH + "config/reusable/table/real_estate/rn15-rn16/financial-obligation-table-list.json";
const TEMP_USUFRUCT_FINANCIAL_OBLIGATION_OVERVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn15-rn16/financial-obligation-popup.json";
const TEMP_RN16_SEARCH_USUFRUCT_APPLICATION_NUM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn15-rn16/application-search-form.json";
const TEMP_RN16_USUFRUCT_TABLE_LIST = process.env.REACT_APP_TEMPLATE_PATH + "config/reusable/table/real_estate/rn15-rn16/contract-table-list.json";
const RN11_REVIEW_REQUEST_TYPE = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn11/review-request-type.json";
const RN11_REVIEW_DOCUMENT_SEARCH_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn11/RE-Document-srch-frm.json";
const RN11_REVIEW_LAND_SEARCH_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn11/RE-List-search-form.json";
const RN11_DOCUMENT_REVIEW_REQUEST_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn11/document-review-request-preview.json";
const RN11_REVIEW_REASON_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn11/rn11-reason-form.json";
const RN11_WORK_ITEM_DETAILS_FRM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn11/work-item-details-form.json";
const RN11_REOWNER_DETAILS_FRM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn11/rn11-reowner-details.json";
const RN11_RELIST_REVIEW_REQUEST_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn11/relist-review-request-preview.json";
const RN11_RELIST_WORKITEM_DETAILS_FRM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn11/relist-review-workItem-preview.json";
const RN11A_INCOMPLETE_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn11/RN11A-Incomplete-form.json";
const RN11B_INCOMPLETE_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn11/RN11B-Incomplete-form.json";
const RN21_BROKER_POPUP_DETAILS = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn21/broker-popup-details.json";
const RN11A_DASHBOARD_VIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn11/relist-DashBoard-view.json";
const RN11B_DASHBOARD_VIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn11/document-DashBoard-view.json";
const FEESLOOKUP_TABLE_DETAILS = process.env.REACT_APP_TEMPLATE_PATH + "config/reusable/table/real_estate/fees-lookup-details.json";
const RN_ROP_GCC_OWNER_TABLE_LIST = process.env.REACT_APP_TEMPLATE_PATH + "config/reusable/table/rop/rop-gcc-owner-table-list.json";
const TEMP_RN18_SELECT_SERVICE = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn18/select-type.json";
const TEMP_RN18_SEARCH_LAND = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn18/search-land.json";
const TEMP_RN18_GRANT_DASHBOARD = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn18/grant-applicationDashBoard-preview.json";
const TEMP_RN18_SELL_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn18/sell-preview-form.json";
const TEMP_RN18_GRANT_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn18/grant-preview-form.json";
const TEMP_RN18_SEARCH_OWNER = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn18/buyer-srch-form.json";
const RN18_SPLIT_TABLE_LIST = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn18/SplitTableList.json";
const TEMP_RN18_SPLIT_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn18/split-preview-form.json";
const TEMP_RN18_PROXY_GRANT_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn18/proxy-grant-preview-form.json";
const TEMP_RN18_PROXY_SPLIT_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn18/proxy-split-preview-form.json";
const TEMP_RN18_PROXY_SELL_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn18/proxy-sell-preview-form.json";
const TEMP_RN18_TEST_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn18/test-preview-form.json";
const TEMP_RN18_PROXY_TEST_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn18/proxy-test-preview-form.json";
const TEMP_RN18_SELECT_WITHOUT_SERVICE = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn18/select-type-without-splitting.json";
const TEMP_RN18_PROXY_FINAL_SPLIT_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn18/final-proxy-split-preview-form.json";
const TEMP_RN18_PROXY_FINAL_TEST_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn18/final-proxy-test-preview-form.json";
const TEMP_RN18_PROXY_FINAL_SELL_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn18/final-proxy-sell-preview-form.json";
const TEMP_RN18_PROXY_FINAL_GRANT_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn18/final-proxy-grant-preview-form.json";
const TEMP_RN18_FINAL_SPLIT_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn18/final-split-preview-form.json";
const TEMP_RN18_FINAL_TEST_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn18/final-test-preview-form.json";
const TEMP_RN18_FINAL_SELL_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn18/final-sell-preview-form.json";
const TEMP_RN18_FINAL_GRANT_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn18/final-grant-preview-form.json";
const TEMP_RN22_SERVICE_SELECTION = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn22/company-service-selection.json";
const TEMP_RN22_INDIVIDUAL_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn22/rn22-sale-details-preview-form.json";
const TEMP_RN22_CHAMBER = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn22/chamber_temp.json";
const TEMP_RN22_MUNICIPALITY = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn22/municipality_temp.json";
const TEMP_RN22_FOAM_MUNICIPALITY = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn22/municipality_foam_temp.json";
const TEMP_RN22_COMPANY_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn22/rn22-company-sale-details-preview-form.json";
const TEMP_RN22_SEARCH_SELLER = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn22/seller-search-form.json";
const TEMP_RN22_COMPANY_REQUEST_ACTIVITY = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn22/company-details-request-activity.json";
const TEMP_RN22_WORKITEM_COMPANY_DETAILS = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn22/workitem-entity-details.json";
const TEMP_RN22_WORKITEM_INDIVIDUAL_DETAILS = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn22/workitem-individual-details.json";
const TEMP_COMMON_APPLICANT_VIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/real-estate/rn21/user-form.json"; // const POST_CHAMBER = AWS_HOST + "v1/int/occi";
// const POST_MUNICIPALITY = AWS_HOST + "v1/int/mm";
// const POST_MANPOWER = AWS_HOST + "v1/int/momp";

const POST_CHAMBER = "http://54.204.91.35:20029/v1/int/occi";
const POST_MUNICIPALITY = "http://54.204.91.35:20009/v1/int/mm";
const POST_MANPOWER = "http://54.204.91.35:20009/v1/int/momp";
/* Sample Tibco API Endpoint */

const OPENWORKITEM = AWS_HOST + "v1/bpm/workitem/open";
const PUT_COMPLETEWORKITEM = AWS_HOST + "v1/bpm/workitem/complete";
const MOBILE_PKI = AWS_HOST + "v1/user/pki/mobile/auth";
const LAND_APPLICABLE_SERVICES = AWS_HOST + "v1/listapplicableservices";

const _SESSION = AWS_HOST + "v1/login/createsession";

const PAYMENT_REPORT = AWS_HOST + "v1/payment/report";
const APPLICATION_LIST = AWS_HOST + "v1/application";
const FEES_LOOKUP_URL = AWS_HOST + "v1/fees";
const FILE_UPLOAD = AWS_HOST + "v1/documents/uplddoc";
const GET_DOCUMENTS = AWS_HOST + "v2/documents/listdoc";
const DELETE_DOCUMENTS = AWS_HOST + "v1/documents/deletedoc";
const UPLOADDOCUMENTLIST = AWS_HOST + "v1/utility/listapplicabledocs";
const GET_DOCUMENT_CONTENT = AWS_HOST + "v1/documents/getdoc";
const HTML_TO_PDF_API = AWS_HOST + "v1/documents/htmltopdf";
const ELIGIBILITY_API = AWS_HOST + "v1/rules/eligibility";
const GETLAND_INVOLVEDPARTYID = AWS_HOST + "v1/application/land";
const COMPANY_LIST = process.env.REACT_APP_API_ENDPOINT + "v1/company/list";
const COMPANY_ELIGIBiLITY = AWS_HOST + "v1/int/moci/eligibilitycheck";
const REQUEST_RESIDENTIAL_APPLICATION = AWS_HOST + "v1/application/land/residential";
const REQUEST_ROP = AWS_HOST + "v1/involvedparty/ropverification";
const GET_PROXY_DETAILS = AWS_HOST + "proxydetails";
const REQUEST_COMMERCIAL_APPLICATION = AWS_HOST + "v1/application/land/commercial";
const REQUEST_GET_COMMERCIAL_APPLICANT = AWS_HOST + "v1/application/commercial/details";
const REQUEST_FINANCIAL_OBLIGATION = AWS_HOST + "v1/application/financialInfo";
const REQUEST_FEES_CALCULATION = AWS_HOST + "v1/feescalculation";
const LN1COMMERCIALCOMPANYLISTDTLS = process.env.REACT_APP_TEMPLATE_PATH + "template/ln1/ln1_B/add-display-company.json";
const GET_RESOURCE_DETAILS = AWS_HOST + "v1/bpm/orgresource";
const GET_RESOURCE_BY_NAME = AWS_HOST + "bpm/rest/orgresource/get/-1";
const GET_INVOVLED_PARTY = AWS_HOST + "v1/realestate/getinvolvedparty";
const GET_MYWORKITEM_LIST = AWS_HOST + "v1/bpm/worklist";
const ASSIGN_WORKITEM = AWS_HOST + "v1/bpm/workitem/allocate";
const REQUEST_COMMERCIAL_PARTNER_APPROVE_REJECT = AWS_HOST + "v1/realestate/partnerapproval";
const CREATE_REOWNERSHIP = AWS_HOST + "v1/realestate/ownership";
const REQUEST_RES_GETAPPLICATIOM = AWS_HOST + "v1/application/residential/details";
const GET_LANDFROMDRAW = AWS_HOST + "v1/land/draw/";
const UPDATE_LANDDRAW_ATTENDEES = GET_LANDFROMDRAW;
const GET_UTILITY_LOOKUP = AWS_HOST + "v1/utility/lookup/dynamic";
const GET_QUERY_RE_OBJECT = AWS_HOST + "v1/realestate/reobject/query";
const GET_RE_OBJECT_DATA = AWS_HOST + "v1/realestate/reobject";
const RN2_REOBJECT_FREEZE = AWS_HOST + "v1/realestate/reobject/freeze";
const GET_REMARK = AWS_HOST + "v1/realestate/reobject/marks";
const GET_LISTORGANIZATION_DETAILS = AWS_HOST + "v1/listorganizationdetails";
const GET_APPLICATION_BROKER_DETAILS = AWS_HOST + "v1/application/agent";
const GET_BROKER_CONTRACT_LIST_DETAILS = AWS_HOST + "v1/realestate/brokercontract";
const GET_LISTORGANIZATION_USER_DETAILS = AWS_HOST + "v1/listorganizationuserdetails";
const GET_COMMERCIAL_WRAPPER_REQ = AWS_HOST + "v1/application/details";
const LN4_GOVERNMENT_AUTHORITY = AWS_HOST + "v1/application/govapproval";
const LN6_GET_TRANSECTION_DETAILS = AWS_HOST + "v1/transaction";
const PUT_SAVEWORKITEM = AWS_HOST + "v1/bpm/workitem/save";
const GET_NEW_SESSION = AWS_HOST + "v1/session/promote"; //payment Gateway

const OMANNET_PAYMENT_URL = "http://34.225.130.79:18080/oman/v1/request/omannet2";
const OAB_PAYMENT_URL = "http://34.225.130.79:18080/pgredirection/v1/request/OABGateway";
const CYBERSOURCE_PAYMENT_URL = "http://34.225.130.79:18080/oman/v1/request/cybersource"; //LOGIN API CHANGES

const MOH_USER_LOGIN = AWS_HOST + "v1/login";
const GET_ROP_PERSON_DETAILS = AWS_HOST + "v1/rop/person";
const REGISTER_ROP_PERSON_DETAILS = AWS_HOST + "v1/person/register";
const PASSWORD_CHANGE = AWS_HOST + "v1/user/password";
const VALIDATE_OTP = AWS_HOST + "v1/otp/validate";
const CREATE_INVOLVEPARTY = AWS_HOST + "v1/involvedparty";
const CREATE_COMPANY = AWS_HOST + "v1/company/register";
const CREATE_OTHER_ENTITY = AWS_HOST + "v1/otherentity/register";
const CRN_SEARCH_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/login/search-details.json";
const USER_REGISTER_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/login/registration-user-form.json";
const USER_SEARCH_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/login/user-query-form-request.json";
const PWD_CHANGE_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/login/password-details.json";
const GENERATE_OTP = AWS_HOST + "v1/otp/generate";
const GET_ORGANIZATION_LIST = process.env.REACT_APP_TEMPLATE_PATH + "template/login/company-sign-in.json";
const KROOKI_VALIDATION = AWS_HOST + "v1/validate/krooki";
const TEMP_PAYEE_TABEL_LIST = process.env.REACT_APP_TEMPLATE_PATH + "config/reusable/table/payee/PayeeTableList.json";
const SERVICE_PAYEE_TYPE_LOOKUP = AWS_HOST + "v1/servicepayerlookup";
const TEMP_POST_OFFICE_USER_SIGN_IN = process.env.REACT_APP_TEMPLATE_PATH + "template/login/post-office-login.json";
const TEMP_SANAD_OFFICE_USER_SIGN_IN = process.env.REACT_APP_TEMPLATE_PATH + "template/login/sanad-office-login.json";
const TEMP_PROXY_USER_LOGIN = process.env.REACT_APP_TEMPLATE_PATH + "template/login/proxy-user-login.json";
const TEMP_PROXY_AND_APPLICANT_DETAILS_LOGIN = process.env.REACT_APP_TEMPLATE_PATH + "template/login/proxy-user-and-applicant-details.json";
const TEMP_PROXY_AND_APPLICANT_DETAILS_LOGIN_VIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/login/proxy-user-and-applicant-details-view.json";
const TEMP_APPLICANT_DETAILS_VIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/login/individual-details-update-form.json";
const ID_CARD_DETAILS_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/login/id-card-details-form.json";
const TEMP_CONS_OFFICE_USER_SIGN_IN = process.env.REACT_APP_TEMPLATE_PATH + "template/login/cons-office-login.json";
const NEW_ORGANIZATION_USER_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/admin/organization/new-organization-user-form.json";
const ORGANIZATION_USER_TABLE_LIST = process.env.REACT_APP_TEMPLATE_PATH + "template/admin/organization/organization-user-table-list.json";
const COMPANY_REGISTER_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/login/registration-company-form.json";
const ADMIN_REGISTER_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/login/registration-admin-form.json";
const ADMIN_DETAIL_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/login/registration-admin-details.json";
const ADMIN_DETAIL_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/login/registration-admin-details-preview.json";
const COMPANY_REGISTER_PREVIEW = process.env.REACT_APP_TEMPLATE_PATH + "template/login/registration-preview-details.json";
const GET_COMPANY_DETAILS = process.env.REACT_APP_TEMPLATE_PATH + "template/login/get-company-form.json";
const COMPANY_DETAILS = process.env.REACT_APP_TEMPLATE_PATH + "template/login/get-company-details.json";
const CREATE_USER_ASSOCIATION = AWS_HOST + "v1/organization/userassociation";
const GET_MOCI_COMPANY_DETAILS = AWS_HOST + "v1/moci/companydetails";
const WAKF_REGISTER_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/admin/organization/registration-wakf-form.json";
const WAKF_REGISTERATION_PREVIEW_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/admin/organization/wakf-registration-preview-details.json";
const TEMP_SEARCH_WAKF_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/admin/wakf/search-wakf-form.json";
const TEMP_WAKF_REPRESENTATIVE_TABLE_LIST = process.env.REACT_APP_TEMPLATE_PATH + "template/admin/wakf/wakf-representative-table-list.json";
const TEMP_REPRESENTATIVE_DETAILS_FORM = process.env.REACT_APP_TEMPLATE_PATH + "template/admin/organization/Representative-Details-form.json"; // Portal Config for Breadcrumb

const BREADCRUMB_ENABLED_SCREENS = ["news", "projects", "announcements", "statistics", "book-and-publications"];
/* Constant Variable */

const RELATIONSHIP_LIST = {
  "Male": "Wife",
  "Female": "Husband"
};
const LN1B_CONSTANTS = {
  "true_string": "true",
  "N_string": "N",
  "ProxyNumber": "1",
  "ReferenceApplicationID": "1",
  "LandDrawCounter": "1",
  "IsDeleted": "Y",
  "wizard_edit_tab_index": "1",
  "commercial_company_form": "commercial-company-form",
  "add_display_company": "add-display-company",
  "RESUBMIT": "RESUBMIT",
  "RESUBMIT_APPLICATION_STATUS": "1",
  "RESUBMIT_APPLICATION_INTERNAL_STATUS": "30",
  "ServicePayment": "ServicePayment",
  "ServicePayment_APPLICATION_STATUS": "1",
  "ServicePayment_APPLICATION_INTERNAL_STATUS": "11",
  "PartnerApproval_APPLICATION_STATUS": "5",
  "PartnerReject_APPLICATION_INTERNAL_STATUS": "11",
  "APPROVE": "Approve",
  "REJECT": "Reject",
  "ServicePayment_NOT_PAID": "10",
  "ApplicationSubmission": "ApplicationSubmission"
};
const ESERVICE_CODE = {
  "land": "1",
  "realestate": "2",
  "planning-survey": "3",
  "real-estate-development": '4',
  "social-housing": "5",
  "commonsub-processes": "6",
  "involved-parties-registration": "7",
  "lookup-data-settings": "8",
  "user-management": "9",
  "default": "999"
};
const SERVICE_ID = {
  "LN01A": "LN01",
  "LN01B": "LN01",
  "LN01C": "LN01"
};
const ESERVICE_SUB_SERVICE = {
  "LN01A": "residential",
  "LN01B": "commercial",
  "LN01C": "industrial"
};
const ESERVICE_CODE_SERVICE = {
  "residential": "LN01A",
  "commercial": "LN01B",
  "industrial": "LN01C",
  "land-request": 'LN01'
};
const SERVICES = [{
  "title": "Land",
  "titleArabic": "قطاع الأراضي",
  "slug": "land",
  "url": "/e-services/land",
  "id": "31" // "child": [{
  //   "title": "Request for Land Plot",
  //   "slug": "/pkiagree",
  //   "url": "/pkiagree",
  // }]

}, {
  "title": "Real Estate",
  "titleArabic": "العقارات",
  "slug": "real-estate",
  "url": "/e-services/real-estate" // "child": [{
  //   "title": "Accept Real Estate dsa sa  dsada  sa aasdajas jlk jak ",
  //   "slug": "/e-service/real-estate/review-reownership/agree",
  //   "url": "/e-service/real-estate/review-reownership/agree",
  // },
  // {
  //   "title": "Freezing a Real Estate",
  //   "slug": "/e-service/real-estate/freezing-real-estate/agree",
  //   "url": "/e-service/real-estate/freezing-real-estate/agree",
  // }
  // ]

}, {
  "title": "Planning and Survey",
  "titleArabic": "التخطيط والمسح",
  "slug": "planning-survey",
  "url": ""
}, {
  "title": "Real Estate Development",
  "titleArabic": "التطوير العقاري",
  "slug": "real-estate-development",
  "url": ""
}, {
  "title": "Social Housing",
  "titleArabic": "السكن الاجتماعي",
  "slug": "social-housing",
  "url": ""
}, {
  "title": "My Workitem",
  "titleArabic": "معاملات تحت الإجراء",
  "slug": "my-workitem",
  "url": "/work-item/list"
}];
const BREADCRUMBS_URI = {
  "HOME": "/home",
  "PROFILE": "/home/profile",
  "E_SERVICE": "/home",
  "LAND": "/e-service/land",
  "REAL_ESTATE": "/e-service/realestate",
  "PLAN_SURVEY": "/e-service/planning-survey",
  "LN1A_APP_LIST": "/e-service/land/application-list",
  "MYWORKITEM": "/work-item/list",
  "ORGANIZATION": "/company/select-organization",
  "ADMINISTRATOR": "/dashboard",
  "RN1_APP_LIST": "/e-service/realestate/register/applications-list",
  "RN2_APP_LIST": "/e-service/realestate/freeze/applications-list",
  "RN3_APP_LIST": "/e-service/realestate/un-freeze/applications-list",
  "RN4_APP_LIST": "/e-service/real-estate/register-mortgage/applications-list",
  "RN5_APP_LIST": "/e-service/real-estate/transfer-mortgage/applications-list",
  "RN6_APP_LIST": "/e-service/real-estate/release-mortgage/applications-list",
  "RN7_APP_LIST": "/e-service/real-estate/rn7/workitem/rn7-application-detail",
  "RN8_APP_LIST": "/e-service/real-estate/registration-of-testament/applications-list",
  "RN9_APP_LIST": "/e-service/real-estate/register-endowment/applications-list",
  "RN10_APP_LIST": "/e-service/real-estate/deed-of-granting/application-list",
  "RN18_APP_LIST": "/e-service/real-estate/deed-of-granting/applications-list",
  "RN13_SUBSERVICE_LIST": "/e-service/real-estate/register-sale-contract/applications-list",
  "RN22_SUBSERVICE_LIST": "/e-service/real-estate/register-sale-contract-buisniess/applications-list",
  "RN17_APP_LIST": "/e-service/real-estate/rn17-usufruct-contract/applications-list",
  "RN11_APP_LIST": "/e-service/real-estate/review-ownership/applications-list",
  "PSN6_APP_LIST": "/e-service/planning-survey/planning-appropriation/applications-list",
  "PSN3_APP_LIST": "/e-service/planning-survey/change-of-land-use/applications-list",
  "Admin": "/e-service/admin-access",
  "WakfAdmin": "/e-service/wakf-admin"
};
const PlaceholderForLabelsProfileCol1 = {
  "FirstName": "First Name",
  "SecondName": "Second Name",
  "ThirdName": "Third Name",
  "FourthName": "Fourth Name",
  "FamilyName": "Family Name",
  "PrimaryMobileNumber": "Contact Mobile Number",
  "PrimaryEmailAddress": "Contact Email ID",
  // "SecondaryEmailAddress": "Secondary Email ID",
  "SecondaryMobileNumber": "Secondary Phone Number"
};
const PlaceholderForLabelsProfileCol2 = {
  "Nationality": "Nationality",
  "IndividualID": "Civil ID",
  "ResidentAddress": "Resident Address",
  "WorkAddress": "Work Address",
  "FamilyMemberMobileNumber": "FamilyMember Mobile Number",
  "LandLineNumber": "LandLine Number"
};
const DOCUMENT_UPLOAD_FILE_EXTENTION = "application/pdf, image/jpg, image/jpeg, image/png";
const FILE_UPLOAD_SIZE = 1024;
const FILE_UPLOAD_TIMES = 6;
const FILE_UPLOAD_LIMIT = 6;
const MOBILE_LENGTH = 8;
const SELECT_OPTION_LENGTH = 30;
const SELLER_MAX_LIMIT = 2;
const TESTAMENT_MAX_LIMIT = 60;
const SPOUSE_MAX_LIMIT_MALE = 4;
const SPOUSE_MAX_LIMIT_FEMALE = 1;
const PARTNER_MAX_LIMIT = 4;
const GenderID_MALE = "1";
const GenderID_FEMALE = "2";
const RN1_FREEZEFLAGE = "True";
const CRN_MAX_LENGTH = "8";
const USERNAME_LENGTH = 15;
const PASSWORD_LENGTH = 15;
const OTP_LENGTH = 6;
const MAX_MINISTRY_FEES_VALUE = 300000;
const BROKER_MAX_LIMIT = 3;
const RN_USUFRUCT_INDIVIDUAL_MAX_LIMIT = 3;
const RN_USUFRUCT_COMPANY_MAX_LIMIT = 1;
const RN_USUFRUCT_CONTRACT_PERIOD_MIN_LIMIT = 7;
const RN_USUFRUCT_CONTRACT_PERIOD_MAX_LIMIT = 49;
const IDLE_TIMEOUT = 15;
const RN5_CONST = {
  REMarkID: "2"
};
const RE_MARK_ID = {
  Freeze: "1",
  Mortgage: "2",
  Usufruct: "3",
  Affected: "4",
  AffectedLandUsage: "5"
};
const ACTIONCODE = {
  "PAYLATER": "PAYLATER",
  "PAYMENTSUCCESS": "PAYMENTSUCCESS",
  "LANDAPPROVED": "APPROVED",
  "LANDREJECTED": "REJECTED",
  "ACCEPTED": "ACCEPTED",
  "GRANTED": "GRANTED"
};
const USERTYPEID = {
  "omani_citizen": "1",
  "Citizen as a Proxy": "2",
  "Court": "3",
  "Government Others": "4",
  "Post Office": "5",
  "Embassy": "6",
  "bank": "7",
  "FLC": "7",
  "Broker / Tourist Company": "8",
  "Engineering Office": "9",
  "Real Estate Developers": "10",
  "Sanad Office": "11",
  "Company Others": "12",
  "gcc_citizen": "13",
  "GCC as a Proxy": "14",
  "foreigner": "15",
  "Foreigner - Resident Card as a Proxy ": "16",
  "Foreigner - W/O Resident Card": "17",
  "Foreigner - W/O Resident Card as a Proxy": "18",
  "Wakf": "19",
  "Awkaf": "20",
  "Majlis": "21",
  "MoH Employee": "22"
};
const INVOLVEDPARTYTYPEID = {
  Awkaf: "9",
  Citizen: "1",
  Company: "6",
  Embassy: "4",
  Foreigner: "11",
  GCC: "7",
  GovernmentOrganization: "3",
  Majlis: "10",
  Wakf: "8"
};
const INVOLVEDPARTYSUBTYPEID = {
  Court: "3",
  MoHUser: "50"
};
const APPLICATION_STATUS = {
  "Rejected": "1",
  "Incomplete": "2",
  "UnderProcessing": "3",
  "MissingDraw": "4",
  "NotPaid": "5",
  "Paid": "6",
  "Landgrantedsuccessfully": "7",
  "New": "8",
  "SubmittedForReview": "9",
  "Returned": "10",
  "ApprovedbyMoHEmployee": "11",
  "ApprovedbyMoHHeadofDepartment": "12"
};
const RN1_SUB_SERVICE = {
  "RN01A": "lost",
  "RN01B": "damaged",
  "RN01C": "ownershipdataNamechange",
  "RN01D": "ownershipdataOfficalrecords",
  "RN01E": "requestdocument"
};
const RN1_SUB_SERVICE_CODE = {
  "lost": "RN01A",
  "damaged": "RN01B",
  "ownershipdataNamechange": "RN01C",
  "ownershipdataOfficalrecords": "RN01D",
  "requestdocument": "RN01E"
};
const LAYOUT_DIR = {
  "en": "ltl",
  "ar": "rtl"
};
const TRANSFER_TYPE = {
  "1": "Real Estate to Real Estate",
  "2": "Entity to Entity"
};
const RN9_APPLICATION_REQUEST = {
  OwningReason: "OwningReason",
  Organization_PAYLOAD: {
    "LookupInput": [{
      "LookupType": "OwningReason",
      "KeyFields": [{
        "Name": "OWNING_REASON_ID",
        "Value": "2"
      }]
    }]
  },
  Organization_create_PAYLOAD: {
    "LookupInput": [{
      "LookupType": "Organization",
      "KeyFields": [{
        "Name": "INVOLVED_PARTY_SUB_TYPE_ID",
        "Value": "4"
      }]
    }]
  }
};
const RN10_APPLICATION_REQUEST = {
  Organization_PAYLOAD: {
    "LookupInput": [{
      "LookupType": "RelationshipType"
    }]
  }
};
const RN7_APPLICATION_REQUEST = {
  document_PAYLOAD: {
    "LookupInput": [{
      "LookupType": "DocumentType"
    }]
  }
};
const PROXY_CLASS_FREEZE = "0";
const PROXY_CLASS_UNFREEZE = "0";
const RN1_APPLICATION_REQUEST = {
  RelationshipType_HUSBAND: "7",
  RelationshipType_WIFE: "8",
  LandRequestPlace: "LandRequestPlace",
  LAND_REQUEST_PLACE_ID: "LAND_REQUEST_PLACE_ID",
  REObjectUsage: "REObjectUsage",
  REObjectSubuse: "REObjectSubuse",
  RE_OBJECT_USAGE_ID: "RE_OBJECT_USAGE_ID",
  Industrial: "3",
  Commercial: "6",
  Residential: "1",
  Residential_Commercial: "4",
  ApplicationReason: "ApplicationReason",
  LookupTypeRegion: "Region",
  LookupTypeWilayat: "Wilayat",
  LookupTypeVillage: "Village",
  REGION_ID: "REGION_ID",
  LookupTypeRegionalOffice: "RegionalOffice",
  WILAYAT_ID: "WILAYAT_ID",
  ApplicationStatusID: "1",
  ApplicationStatusID_0: "0",
  //Draft
  ApplicationStatusID_10: "10",
  ApplicationStatusID_12: "12",
  ApplicationStatusID_26: "26",
  ApplicationStatusID_30: "30",
  ApplicationStatusID_31: "31",
  ApplicationStatusID_3: "3",
  ApplicationStatusID_4: "4",
  ApplicationStatusID_5: "5",
  ApplicationStatusID_42: "42",
  ApplicationStatusID_43: "43",
  ApplicationInternalStatusID_10: "10",
  ApplicationInternalStatusID_11: "11",
  ApplicationInternalStatusID_12: "12",
  ApplicationInternalStatusID_26: "26",
  ApplicationInternalStatusID_30: "30",
  ApplicationInternalStatusID_31: "31",
  ApplicationInternalStatusID_42: "42",
  ApplicationInternalStatusID_3: "3",
  ApplicationInternalStatusID_4: "4",
  ApplicationInternalStatusID_5: "5",
  ApplicationInternalStatusID_39: "39",
  ApplicationInternalStatusID_43: "43",
  ActionCodeApplicationSubmission: "ApplicationSubmission",
  ActionCodeApplicationSubmissionWithPayment: "ApplicationSubmissionWithPayment",
  ActionCodeReSubmit: "ReSubmit",
  ActionCodeFinalPayment: "FinalPayment",
  ActionCodeServicePayment: "ServicePayment",
  ActionCodeSave: "SAVE",
  Comment: "Application Resubmitted",
  ActionCodeResubmit: "Resubmit",
  IsManualVerificationRequired: "Y",
  RegionalOfficeID: "1",
  RegionID: "1",
  RegionIDUpdated: "01",
  //updated 0 to 01
  REApplicationReason: "Official RE List of Records requested by user",
  DocumentGroupID: 3,
  UserTypeID: 1,
  DocumentTypeID: 8,
  AttachmentVerificationFlag: "Y",
  DocumentGroupID_2: 2,
  FeeCodeID: 200,
  Feecurrency: "OMR",
  OrgName: "BCT",
  TypeCUST: "CUST",
  PaymentMode: "CREDITCARD",
  PaymentType: "Fees",
  AccountNo: 123412,
  IDNo: 2134123,
  Omannet: "OMANNET",
  Cybersource: "CYBERSOURCE",
  LookupTypeNationality: "Nationality",
  LookupTypeIdType: "IdType",
  LookupTypeInvolvedPartiesType: "InvolvedPartiesType",
  LookupTypeInvolvedPartiesSubType: "InvolvedPartiesSubType",
  LookupTypeGCCType: "GCCType",
  LookupTypeMaritalStatus: "MaritalStatus",
  LookupTypeGender: "Gender",
  LookupTypeWorkSectorType: "WorkSectorType",
  LookupTypeWorkingStatus: "WorkingStatus",
  LookupTypeCountry: "Country",
  Organization_InvolvedPartySubTypeID: "7",
  ActionOrganizationID: "",
  ActionUserID: "",
  ServicePayment: "ServicePayment",
  FinalPayment: "ServicePayment-",
  TEMPFLAGE: "TEMP",
  RejectReasons: "RejectReasons",
  RejectApplication: "Reject",
  UpdateApplication: "UPDATE",
  OrganizationTypeID: 4,
  ApproveApplication: "Approve",
  IncompleteApplication: "Incomplete",
  TRANS_KHAD: "TransferToKhazaen",
  KrookiValidation: "Valid",
  EnglishLookup: "EnglishLookup",
  ArabicLookup: "ArabicLookup",
  FeeCode: "FeeCode",
  ServiceFeeParameter: "ServiceFeeParameter",
  NO_RULE_FIRED_ELIGIBILITY_FLAG: "NO RULE FIRED",
  TRUE_ELIGIBILITY_FLAG: "true",
  NEGUPDATE: "NEGUPDATE",
  FEE_CODE_EN: "FEE_CODE_EN",
  SERVICE_FEES: "Service Fees",
  APPLICATION_FEES: "Application Submission Fees",
  SERVICE_SUB_ID: "SERVICE_SUB_ID",
  ADD: "ADD",
  DocumentTypeID_1: "1",
  DocumentTypeID_2: "2",
  DocumentTypeID_5: "5",
  DocumentTypeID_8: "8",
  DocumentTypeID_9: "9",
  DocumentTypeID_11: "11",
  DocumentTypeID_12: "12",
  DocumentTypeID_13: "13",
  MINIMAL_ROP_EXPIRY_DAYS: "30",
  NAME_CHANGE_FLAG: "nameChange",
  NameChangeActioCode: "HisUpdate",
  ActionUserPayerTypeID: "01",
  ApplicantPayerTypeID: "02",
  BeneficiaryPayerTypeID: "03",
  REOwnerPayerTypeID: "04",
  ApplicationPartyTypeID: "01",
  RepresentativeTypeID: "05",
  ApplicationPartyTypeID_03: "03",
  RepresentativeTypeID_05: "05",
  Add: "ADD",
  Delete: "DELETE",
  LookupTypeSubType_ID: "INVOLVED_PARTY_TYPE_ID",
  Company_Value: "6",
  CompanyAdminRoleID: "17",
  ProxyTypeID_1: "1",
  ProxyClassID_1: "1",
  WakfInvolvedPartySubTypeID: "19",
  AwakfInvolvedPartySubTypeID: "20",
  CancelApplication: "Cancel",
  OmanNationalityID: "512",
  CitizenInvolvedPartySubTypeID: "1",
  GccInvolvedPartySubTypeID: "13",
  ForeignerInvolvedPartySubTypeID: "15"
};
const ID_TYPE_ID = {
  OmanNationalID: "1",
  Passport: "2",
  OmanResidentID: "3",
  OtherCountryNationalID: "4",
  CRNumber: "5",
  SystemGenerated: "6"
};
const RN2_APPLICATION_MOHUSER_REQUEST = {
  LookupTypeOrganization: "Organization",
  LookupTypeOrganizationUser: "OrganizationUser",
  USER_TYPE_ID: "USER_TYPE_ID",
  USER_TYPE_PAYLOAD: {
    "LookupInput": [{
      "LookupType": "InvolvedPartiesSubType",
      "KeyFields": [{
        "Name": "INVOLVED_PARTY_SUB_TYPE_ID",
        "Value": "50"
      }]
    }]
  },
  Organization_PAYLOAD: {
    "LookupInput": [{
      "LookupType": "Organization",
      "KeyFields": [{
        "Name": "INVOLVED_PARTY_SUB_TYPE_ID",
        "Value": "50"
      }]
    }]
  },
  OrganizationUser_PAYLOAD: {
    "LookupInput": [{
      "LookupType": "OrganizationUser",
      "KeyFields": [{
        "Name": "INVOLVED_PARTY_SUB_TYPE_ID",
        "Value": "50"
      }]
    }]
  }
};
const RN2_APPLICATION_REQUEST = {
  LookupTypeOrganization: "Organization",
  LookupTypeOrganizationUser: "OrganizationUser",
  USER_TYPE_ID: "USER_TYPE_ID",
  USER_TYPE_PAYLOAD: {
    "LookupInput": [{
      "LookupType": "InvolvedPartiesSubType",
      "KeyFields": [{
        "Name": "INVOLVED_PARTY_SUB_TYPE_ID",
        "Value": "3"
      }]
    }]
  },
  Organization_PAYLOAD: {
    "LookupInput": [{
      "LookupType": "Organization",
      "KeyFields": [{
        "Name": "INVOLVED_PARTY_SUB_TYPE_ID",
        "Value": "3"
      }]
    }]
  },
  OrganizationUser_PAYLOAD: {
    "LookupInput": [{
      "LookupType": "OrganizationUser",
      "KeyFields": [{
        "Name": "INVOLVED_PARTY_SUB_TYPE_ID",
        "Value": "3"
      }]
    }]
  }
};
const LN04_APPLICATION_MOHUSER_REQUEST = {
  GAS_STATION: "06",
  RequestType_PAYLOAD: {
    "LookupInput": [{
      "LookupType": "RequestType"
    }]
  },
  PetroleumCompany_PAYLOAD: {
    "LookupInput": [{
      "LookupType": "PetroleumCompany"
    }]
  },
  CompanyActivity_PAYLOAD: {
    "LookupInput": [{
      "LookupType": "CompanyActivity"
    }]
  }
};
const RN18_APPLICATION_REQUEST = {
  SvcSubSvc_PAYLOAD: {
    "LookupInput": [{
      "LookupType": "SvcSubSvc_ServiceID",
      "KeyFields": [{
        "Name": "SERVICE_ID",
        "Value": "RN18"
      }],
      "DataFields": "ALL"
    }]
  }
};
const STATUS_CHECKLIST = [RN1_APPLICATION_REQUEST.ApplicationInternalStatusID_26];
const LANG = {
  "EN": "en",
  "AR": "ar"
};
const NOTIFY_MSG = {
  11: "CO_OWNER_APPROVAL_SUBMIT",
  4: "IN_COMPLETE",
  0: "DRAFT",
  10: "NOT_PAID",
  31: "FULL_PAY"
};
const ServiceIcons = {
  // Main Routes
  "news": 'icon-newsmoh',
  "projects": 'icon-cranemoh',
  "photo-gallery": "icon-photo-albummoh",
  "video-gallery": 'icon-gallerymoh',
  "book-and-publications": 'icon-book-1moh',
  "information-center": 'icon-reception-deskmoh ',
  "announcements": 'icon-loudspeakermoh',
  'statistics': "icon-statisticsmoh",
  "vision-and-mission": "icon-visionmissionmoh",
  "specialities": "icon-specialtiesmoh",
  "history": 'icon-historymoh',
  "/legislation": 'icon-legislatiosmoh ',
  "service-catalogue": "icon-service-cateloguemoh",
  "organization-structure": "icon-organizationmoh",
  "phone-book": "icon-phone-bookmoh",
  "locate-us": "icon-officelocationsmoh",
  //e-services route
  "land": "icon-landmoh",
  "real-estate": 'icon-realestatemoh',
  'planning-and-survey': "icon-planningmoh",
  "real-estate-development": "icon-real-estate2moh ",
  "social-housing": "icon-socialhousingmoh",
  "my-workitem": "icon-my-workitemmoh",
  // Sub services
  // Land
  "LN01": "icon-LandRequstmoh",
  //Real Estate
  "RN01": "icon-RealEstate_Data11moh",
  "RN02": "icon-freeze1moh",
  "RN03": "icon-unfreeze1moh",
  "RN04": "icon-RN4-Regmortgagecontract87a62adbmoh",
  "RN05": "icon-transfermoh",
  "RN06": "icon-RN6-ReleaseContract834e9a3fmoh",
  "RN07": "icon-RN7-Inheritancecb905dfcmoh",
  "RN08": "icon-legalmoh",
  "RN09": "icon-ngomoh",
  "RN10": "icon-caremoh",
  "RN11": "icon-ProvideAccessThirdPartymoh",
  "RN12": "icon-RN12-Split63ece7b0moh",
  "RN13": "icon-Sale-contract-for-citizen1moh",
  "RN14": "icon-LandExchangemoh"
};
const SERVICE_CODE = {
  LN1: "LN01",
  LN3: "LN03",
  LN4: "LN04",
  LN5: "LN05",
  LN6: "LN06",
  RN1: "RN01",
  RN2: "RN02",
  RN3: "RN03",
  RN4: "RN04",
  RN5: "RN05",
  RN6: "RN06",
  RN7: "RN07",
  RN8: "RN08",
  RN9: "RN09",
  RN10: "RN10",
  RN13: "RN13",
  RN14: "RN14",
  RN16: "RN16",
  RN21: "RN21",
  RN15: "RN15",
  RN17: "RN17",
  RN12: "RN12",
  RN18: "RN18",
  PS7: "PS07",
  PS04: "PS04",
  PS05: "PS05",
  RN11: "RN11",
  RN22: "RN22",
  PS6: "PS06",
  PS3: "PS03",
  AD1: "AD01",
  AD2: "AD02",
  WA1: "WA01"
};
const SERVICE_SUB_CODE = {
  IP01A: "IP01A",
  // Registration of Citizen Profile
  IP01B: "IP01B",
  // Registration of GCC Profile
  IP01C: "IP01C",
  // Registration of Foreighner Profile
  IP01D: "IP01D",
  // Registration of Government Entity
  IP01E: "IP01E",
  // Registration of Company
  LN01A: "LN01A",
  // Residental
  LN01B: "LN01B",
  // Commercial
  LN01C: "LN01C",
  // Industrial
  LN03A: "LN03A",
  // Request for governmental land
  LN04A: "LN04A",
  // Request right of usufruct
  LN05A: "LN05A",
  // Request renewal of usufruct
  LN06A: "LN06A",
  // Request Submit for cancelation usufruct contract 
  PS01A: "PS01A",
  // Dividing
  PS01B: "PS01B",
  // Merging
  PS01C: "PS01C",
  // Separation
  PS01D: "PS01D",
  // Extending
  PS01E: "PS01E",
  // Shaping
  RN10A: "RN10A",
  // Registration of Ownership to deed of Granting
  RN11A: "RN11A",
  // RE Ownership Review
  RN11B: "RN11B",
  // RE e-File Review
  RN12A: "RN12A",
  // Registration of RE Ownership (Split)
  RN13A: "RN13A",
  // Registration of a sale contract for citizens
  RN13B: "RN13B",
  // Registration of a sale contract for GCC/Foreigners
  RN13C: "RN13C",
  // Registration of a sale contract via Brokers
  RN14A: "RN14A",
  // Registration of Real Estate Exchange Contract
  RN15A: "RN15A",
  // Usufruct Contract
  RN15B: "RN15B",
  // Usufruct Contract -Renew
  RN16A: "RN16A",
  // Transfer of a usufruct - One Real Estate to another
  RN16B: "RN16B",
  // Transfer of a usufruct - One Real Beneficiary to another
  RN17A: "RN17A",
  RN01A: "RN01A",
  // SN2 - Issuing Ownership Statement – Lost
  RN01B: "RN01B",
  // SN2 - Issuing Ownership Statement – Damaged
  RN01C: "RN01C",
  // Issu ing Ownership Statement-Name Change
  RN01D: "RN01D",
  // Issuing an Official List of Records
  RN01E: "RN01E",
  // SN3 - Request for Real Estate File(s)
  RN01F: "RN01F",
  // SN4 - Request to Display Missing Real Estates
  RN02A: "RN02A",
  // Freezing
  RN03A: "RN03A",
  // Un Freezing
  RN04A: "RN04A",
  // Mortgage Contract
  RN05A: "RN05A",
  // Transfer Mortgage - One Real Estate to Another
  RN05B: "RN05B",
  // Transfer Mortgage - One Entiy to Another
  RN06A: "RN06A",
  // Release Mortgage
  RN07A: "RN07A",
  // Registration of Ownership to Heirs - With Splitting
  RN07B: "RN07B",
  // Registration of Ownership to Heirs - Without Splitting
  RN08A: "RN08A",
  // Registration of Ownership to Testaments
  RN09A: "RN09A",
  // Registration of Ownership to Endoments,
  PS7A: "PS07A",
  // Dividing buildings into apartments and levels
  PS04A: "PS04A",
  // Removal of affected land status
  PS05A: "PS05A",
  //Compensation for affected land
  RN18A: "RN18A",
  // Registration of Ownership to Endoments
  RN18B: "RN18B",
  // Registration of Ownership to Endoments
  RN18C: "RN18C",
  // Register Final Judgement
  RN18D: "RN18D",
  // Register Final Judgement
  RN18E: "RN18E",
  // Register Final Judgement
  RN22A: "RN22A",
  PS6A: "PS06A",
  PS3A: "PS03A"
};
const ROLES_ID = {
  OMANI_CITIZEN: "1",
  CITIZEN_AS_PROXY: "2",
  COURT: "3",
  GOVERNMENT_OTHERS: "4",
  POST_OFFICE: "5",
  CONSULTANT_OFFICE: "5",
  EMBASSY: "6",
  BANK_FLC: "7",
  BROKER_TOURIST_COMPANY: "8",
  ENGINEERING_OFFICE: "9",
  REAL_ESTATE_DEVELOPERS: "10",
  SANAD_OFFICE: "11",
  AS_A_COMPANY: "12",
  GCC_CITIZEN: "13",
  GCC_AS_PROXY: "14",
  FOREIGNER: "15",
  FOREIGNER_RESIDENT_CARD_AS_PROXY: "16",
  FOREIGNER_WO_RESIDENT_CARD: "17",
  FOREIGNER_WO_RESIDENT_CARD_AS_PROXY: "18",
  WAKF: "19",
  AWKAF: "20",
  MAJLIS: "21",
  MOH_EMPLOYEE: "50",
  // PROXY_INDIVIDUAL:"4",
  // PROXY_MANAGER:"5",
  // REOWNER:"6",
  // MOHUSER:"7",
  // BANK:"9",
  // MIN_ENDOWMENT:"10",
  ALL: "998"
}; // const ROLES = [
//   {
//     id: ROLES_ID.OMANI_CITIZEN, name: 'omani_citizen', services: [SERVICE_CODE.LN1, SERVICE_CODE.RN1, SERVICE_SUB_CODE.RN01A, SERVICE_SUB_CODE.RN01B, SERVICE_SUB_CODE.RN01C, SERVICE_SUB_CODE.RN01D, SERVICE_SUB_CODE.RN01E, SERVICE_CODE.RN4, SERVICE_CODE.RN7, SERVICE_CODE.RN13, SERVICE_CODE.RN2, SERVICE_CODE.RN3, SERVICE_CODE.RN6, SERVICE_CODE.RN10, SERVICE_CODE.RN12, SERVICE_CODE.RN14,
//     SERVICE_SUB_CODE.LN01A, SERVICE_SUB_CODE.LN01B, SERVICE_SUB_CODE.LN01C, SERVICE_SUB_CODE.RN01A, SERVICE_SUB_CODE.RN01B, SERVICE_SUB_CODE.RN01C, SERVICE_SUB_CODE.RN01D, SERVICE_SUB_CODE.RN01E, SERVICE_SUB_CODE.RN02A, SERVICE_SUB_CODE.RN03A, SERVICE_SUB_CODE.RN04A, SERVICE_SUB_CODE.RN05A, SERVICE_SUB_CODE.RN05B,
//     SERVICE_SUB_CODE.RN06A, SERVICE_SUB_CODE.RN07A, SERVICE_SUB_CODE.RN07B, SERVICE_SUB_CODE.RN08A, SERVICE_SUB_CODE.RN09A, SERVICE_SUB_CODE.RN10A, SERVICE_SUB_CODE.RN12A, SERVICE_SUB_CODE.RN13A, SERVICE_SUB_CODE.RN14A, SERVICE_SUB_CODE.RN13C, SERVICE_SUB_CODE.LN05A, SERVICE_CODE.RN15, SERVICE_SUB_CODE.RN15A, SERVICE_SUB_CODE.RN15B, SERVICE_CODE.RN16,
//     SERVICE_SUB_CODE.RN16A, SERVICE_SUB_CODE.RN16B, SERVICE_CODE.RN17, SERVICE_SUB_CODE.RN17A, SERVICE_CODE.RN18, SERVICE_SUB_CODE.RN18A, SERVICE_SUB_CODE.RN18B, SERVICE_SUB_CODE.RN18C, SERVICE_SUB_CODE.RN18D, SERVICE_CODE.RN22, SERVICE_SUB_CODE.RN22A, SERVICE_CODE.PS6, SERVICE_CODE.PS04, SERVICE_SUB_CODE.PS04A, SERVICE_CODE.PS3, SERVICE_CODE.PS05, SERVICE_SUB_CODE.PS05A]
//   },
//   {
//     id: ROLES_ID.GCC_CITIZEN, name: 'gcc_citizen', services: [SERVICE_CODE.RN1, SERVICE_SUB_CODE.RN01A, SERVICE_SUB_CODE.RN01B, SERVICE_SUB_CODE.RN01C, SERVICE_SUB_CODE.RN01D, SERVICE_SUB_CODE.RN01E, SERVICE_CODE.RN4, SERVICE_CODE.RN7, SERVICE_CODE.RN2, SERVICE_CODE.RN3, SERVICE_CODE.RN10, SERVICE_CODE.RN12, SERVICE_CODE.RN13, SERVICE_CODE.RN14, SERVICE_SUB_CODE.RN10A, SERVICE_CODE.RN15, SERVICE_SUB_CODE.RN15A, SERVICE_SUB_CODE.RN15B, SERVICE_CODE.RN16, SERVICE_SUB_CODE.RN16A, SERVICE_SUB_CODE.RN16B,
//     SERVICE_SUB_CODE.RN13B, SERVICE_SUB_CODE.RN13C, SERVICE_CODE.RN17, SERVICE_SUB_CODE.RN17A, SERVICE_CODE.RN18, SERVICE_SUB_CODE.RN18A, SERVICE_SUB_CODE.RN18B, SERVICE_SUB_CODE.RN18C, SERVICE_SUB_CODE.RN18E, SERVICE_CODE.RN22, SERVICE_SUB_CODE.RN22A, SERVICE_CODE.PS6, SERVICE_CODE.PS04, SERVICE_SUB_CODE.PS04A, SERVICE_CODE.PS3, SERVICE_CODE.PS05, SERVICE_SUB_CODE.PS05A]
//   },
//   {
//     id: ROLES_ID.FOREIGNER, name: 'foreigner', services: [SERVICE_CODE.RN1, SERVICE_SUB_CODE.RN01A, SERVICE_SUB_CODE.RN01B, SERVICE_SUB_CODE.RN01C, SERVICE_SUB_CODE.RN01D, SERVICE_SUB_CODE.RN01E, SERVICE_CODE.RN4, SERVICE_CODE.RN7, SERVICE_CODE.RN2, SERVICE_CODE.RN3, SERVICE_CODE.RN10, SERVICE_CODE.RN12, SERVICE_CODE.RN13, SERVICE_SUB_CODE.RN13B, SERVICE_SUB_CODE.RN13C, SERVICE_CODE.RN14, SERVICE_CODE.RN15, SERVICE_SUB_CODE.RN15A, SERVICE_SUB_CODE.RN15B, SERVICE_CODE.RN16, SERVICE_SUB_CODE.RN16A, SERVICE_SUB_CODE.RN16B,
//     SERVICE_CODE.RN17, SERVICE_SUB_CODE.RN17A, SERVICE_CODE.RN18, SERVICE_SUB_CODE.RN18A, SERVICE_SUB_CODE.RN18B, SERVICE_SUB_CODE.RN18C, SERVICE_SUB_CODE.RN18E, SERVICE_CODE.RN22, SERVICE_SUB_CODE.RN22A, SERVICE_CODE.PS6, SERVICE_CODE.PS3, SERVICE_CODE.PS05, SERVICE_SUB_CODE.PS05A]
//   },
//   {
//     id: ROLES_ID.CITIZEN_AS_PROXY, name: 'reowner', services: [SERVICE_CODE.RN1, SERVICE_SUB_CODE.RN01A, SERVICE_SUB_CODE.RN01B, SERVICE_SUB_CODE.RN01C, SERVICE_SUB_CODE.RN01D, SERVICE_SUB_CODE.RN01E, SERVICE_CODE.RN2, SERVICE_CODE.RN3, SERVICE_CODE.RN4, SERVICE_CODE.RN10, SERVICE_CODE.RN12, SERVICE_CODE.RN14, SERVICE_CODE.LN4, SERVICE_SUB_CODE.LN04A, SERVICE_CODE.LN5, SERVICE_SUB_CODE.LN05A, SERVICE_CODE.LN6, SERVICE_SUB_CODE.LN06A, SERVICE_CODE.RN15,
//     SERVICE_SUB_CODE.RN15A, SERVICE_SUB_CODE.RN15B, SERVICE_CODE.RN16, SERVICE_SUB_CODE.RN16A, SERVICE_SUB_CODE.RN16B, SERVICE_CODE.RN17, SERVICE_SUB_CODE.RN17A, SERVICE_CODE.RN18, SERVICE_SUB_CODE.RN18A, SERVICE_SUB_CODE.RN18B, SERVICE_SUB_CODE.RN18C, SERVICE_SUB_CODE.RN18D, SERVICE_CODE.RN22, SERVICE_SUB_CODE.RN22A, SERVICE_CODE.PS6, SERVICE_CODE.PS04, SERVICE_SUB_CODE.PS04A, SERVICE_CODE.PS3, SERVICE_CODE.PS05, SERVICE_SUB_CODE.PS05A, SERVICE_CODE.RN13, SERVICE_SUB_CODE.RN13A, SERVICE_SUB_CODE.RN13C]
//   },
//   {
//     id: ROLES_ID.AS_A_COMPANY, name: 'reowner', services: [SERVICE_CODE.RN1, SERVICE_SUB_CODE.RN01A, SERVICE_SUB_CODE.RN01B, SERVICE_SUB_CODE.RN01C, SERVICE_SUB_CODE.RN01D, SERVICE_SUB_CODE.RN01E, SERVICE_CODE.RN2, SERVICE_CODE.RN3, SERVICE_CODE.LN4, SERVICE_SUB_CODE.LN04A, SERVICE_CODE.LN5, SERVICE_SUB_CODE.LN05A, SERVICE_CODE.LN6, SERVICE_SUB_CODE.LN06A, SERVICE_CODE.RN15, SERVICE_SUB_CODE.RN15A, SERVICE_SUB_CODE.RN15B, SERVICE_CODE.RN16,
//     SERVICE_SUB_CODE.RN16A, SERVICE_SUB_CODE.RN16B, SERVICE_CODE.RN17, SERVICE_SUB_CODE.RN17A, SERVICE_CODE.RN22, SERVICE_SUB_CODE.RN22A, SERVICE_CODE.PS6, SERVICE_CODE.PS04, SERVICE_SUB_CODE.PS04A, SERVICE_CODE.PS3, SERVICE_CODE.PS05, SERVICE_SUB_CODE.PS05A, SERVICE_CODE.RN13, SERVICE_SUB_CODE.RN13A, SERVICE_SUB_CODE.RN13C]
//   },
//   {
//     id: ROLES_ID.GCC_AS_PROXY, name: 'reowner', services: [SERVICE_CODE.RN2, SERVICE_CODE.RN3, SERVICE_CODE.RN10, SERVICE_CODE.RN12, SERVICE_CODE.RN14, SERVICE_CODE.RN15, SERVICE_SUB_CODE.RN15A, SERVICE_SUB_CODE.RN15B, SERVICE_CODE.RN16, SERVICE_SUB_CODE.RN16A, SERVICE_SUB_CODE.RN16B, SERVICE_CODE.RN17,
//     SERVICE_SUB_CODE.RN17A, SERVICE_CODE.RN18, SERVICE_SUB_CODE.RN18A, SERVICE_SUB_CODE.RN18B, SERVICE_SUB_CODE.RN18C, SERVICE_SUB_CODE.RN18E, SERVICE_CODE.RN22, SERVICE_SUB_CODE.RN22A, SERVICE_CODE.PS6, SERVICE_CODE.PS3, SERVICE_CODE.PS05, SERVICE_SUB_CODE.PS05A]
//   },
//   { id: ROLES_ID.FOREIGNER_RESIDENT_CARD_AS_PROXY, name: 'reowner', services: [SERVICE_CODE.RN2, SERVICE_CODE.RN3, SERVICE_CODE.RN10, SERVICE_CODE.RN12, SERVICE_CODE.RN14, SERVICE_CODE.RN15, SERVICE_SUB_CODE.RN15A, SERVICE_SUB_CODE.RN15B, SERVICE_CODE.RN16, SERVICE_SUB_CODE.RN16A, SERVICE_SUB_CODE.RN16B, SERVICE_CODE.RN17, SERVICE_SUB_CODE.RN17A, SERVICE_CODE.RN18, SERVICE_SUB_CODE.RN18A, SERVICE_SUB_CODE.RN18B, SERVICE_SUB_CODE.RN18C, SERVICE_SUB_CODE.RN18E, SERVICE_CODE.RN22, SERVICE_SUB_CODE.RN22A, SERVICE_CODE.PS6, SERVICE_CODE.PS3] },
//   { id: ROLES_ID.FOREIGNER_WO_RESIDENT_CARD, name: 'reowner', services: [SERVICE_CODE.RN2, SERVICE_CODE.RN3, SERVICE_CODE.RN10, SERVICE_CODE.RN7, SERVICE_CODE.RN12, SERVICE_CODE.RN14, SERVICE_CODE.RN16, SERVICE_SUB_CODE.RN16A, SERVICE_SUB_CODE.RN16B, SERVICE_CODE.RN13, SERVICE_SUB_CODE.RN13B, SERVICE_SUB_CODE.RN13C, SERVICE_CODE.RN17, SERVICE_SUB_CODE.RN17A, SERVICE_CODE.RN18, SERVICE_SUB_CODE.RN18A, SERVICE_SUB_CODE.RN18B, SERVICE_SUB_CODE.RN18C, SERVICE_SUB_CODE.RN18E, SERVICE_CODE.RN22, SERVICE_SUB_CODE.RN22A, SERVICE_CODE.PS6, SERVICE_CODE.PS3] },
//   { id: ROLES_ID.FOREIGNER_WO_RESIDENT_CARD_AS_PROXY, name: 'reowner', services: [SERVICE_CODE.RN2, SERVICE_CODE.RN3, SERVICE_CODE.RN10, SERVICE_CODE.RN12, SERVICE_CODE.RN14, SERVICE_CODE.RN15, SERVICE_SUB_CODE.RN15A, SERVICE_SUB_CODE.RN15B, SERVICE_CODE.RN16, SERVICE_SUB_CODE.RN16A, SERVICE_SUB_CODE.RN16B, SERVICE_CODE.RN17, SERVICE_SUB_CODE.RN17A, SERVICE_CODE.RN18, SERVICE_SUB_CODE.RN18A, SERVICE_SUB_CODE.RN18B, SERVICE_SUB_CODE.RN18C, SERVICE_SUB_CODE.RN18E, SERVICE_CODE.RN22, SERVICE_SUB_CODE.RN22A, SERVICE_CODE.PS6, SERVICE_CODE.PS3] },
//   /* need to add these values in future
//   {id:ROLES_ID.PROXY_INDIVIDUAL,name:'proxy_individual',services:[SERVICE_CODE.RN1]},
//   {id:ROLES_ID.PROXY_MANAGER,name:'proxy_manager',services:[SERVICE_CODE.RN1]}, */
//   // { id: ROLES_ID.REOWNER, name: 'reowner', services: [SERVICE_CODE.RN2, SERVICE_CODE.RN3, SERVICE_CODE.RN7] },
//   // { id: ROLES_ID.MOHUSER, name: 'mohuser', services: [SERVICE_CODE.RN2, SERVICE_CODE.RN3] },
//   // { id: ROLES_ID.BANK, name: 'bank', services: [SERVICE_CODE.RN4, SERVICE_CODE.RN5, SERVICE_CODE.RN6] },
//   { id: ROLES_ID.COURT, name: 'court', services: [SERVICE_CODE.RN2, SERVICE_CODE.RN3, SERVICE_CODE.RN8, SERVICE_CODE.RN11, SERVICE_SUB_CODE.RN11A, SERVICE_SUB_CODE.RN11B, SERVICE_CODE.RN22, SERVICE_SUB_CODE.RN22A] },
//   { id: ROLES_ID.BANK_FLC, name: 'bank', services: [SERVICE_CODE.RN4, SERVICE_SUB_CODE.RN04A, SERVICE_CODE.RN5, SERVICE_SUB_CODE.RN05A, SERVICE_SUB_CODE.RN05B, SERVICE_CODE.RN6, SERVICE_SUB_CODE.RN06A] },
//   {
//     id: ROLES_ID.GOVERNMENT_OTHERS, name: 'ministry', services: [SERVICE_CODE.RN9, SERVICE_CODE.LN3, SERVICE_CODE.RN11, SERVICE_SUB_CODE.RN11A, SERVICE_SUB_CODE.RN11B, SERVICE_CODE.PS6, SERVICE_CODE.PS04, SERVICE_SUB_CODE.PS04A,
//     SERVICE_CODE.PS05, SERVICE_SUB_CODE.PS05A]
//   },
//   { id: ROLES_ID.MOH_EMPLOYEE, name: 'MOH Employee', services: [SERVICE_CODE.RN2, SERVICE_CODE.RN3] },
//   { id: ROLES_ID.POST_OFFICE, name: 'Post Office', services: [SERVICE_CODE.LN4, SERVICE_SUB_CODE.LN04A, SERVICE_CODE.LN5, SERVICE_SUB_CODE.LN05A, SERVICE_CODE.LN6, SERVICE_SUB_CODE.LN06A, SERVICE_CODE.PS7, SERVICE_CODE.LN5, SERVICE_CODE.PS6, SERVICE_CODE.PS04, SERVICE_SUB_CODE.PS04A, SERVICE_CODE.PS3] },
//   { id: ROLES_ID.BROKER_TOURIST_COMPANY, name: 'broker', services: [SERVICE_CODE.RN13, SERVICE_SUB_CODE.RN13C] },
//   { id: ROLES_ID.ENGINEERING_OFFICE, name: 'engOffice', services: [SERVICE_CODE.PS7] }, //psn7
//   { id: ROLES_ID.SANAD_OFFICE, name: 'sanad office', services: [SERVICE_CODE.RN1, SERVICE_SUB_CODE.RN01A, SERVICE_SUB_CODE.RN01B, SERVICE_SUB_CODE.RN01C, SERVICE_SUB_CODE.RN01D, SERVICE_SUB_CODE.RN01E, SERVICE_CODE.RN2, SERVICE_CODE.RN3, SERVICE_CODE.LN4, SERVICE_SUB_CODE.LN04A, SERVICE_CODE.LN5, SERVICE_SUB_CODE.LN05A, SERVICE_CODE.LN6, SERVICE_SUB_CODE.LN06A, SERVICE_CODE.PS7, SERVICE_CODE.PS6, SERVICE_CODE.PS04, SERVICE_SUB_CODE.PS04A, SERVICE_CODE.PS3] },
// ]

const ROLES = [{
  id: ROLES_ID.OMANI_CITIZEN,
  name: 'omani_citizen',
  services: [SERVICE_CODE.LN1, SERVICE_SUB_CODE.LN01A, SERVICE_SUB_CODE.LN01B, SERVICE_SUB_CODE.LN01C, SERVICE_CODE.LN5, SERVICE_SUB_CODE.LN05A, SERVICE_CODE.RN1, SERVICE_SUB_CODE.RN01A, SERVICE_SUB_CODE.RN01B, SERVICE_SUB_CODE.RN01C, SERVICE_SUB_CODE.RN01D, SERVICE_SUB_CODE.RN01E, SERVICE_CODE.RN2, SERVICE_SUB_CODE.RN02A, SERVICE_CODE.RN3, SERVICE_SUB_CODE.RN03A, SERVICE_CODE.RN4, SERVICE_SUB_CODE.RN04A, SERVICE_CODE.RN5, SERVICE_SUB_CODE.RN05A, SERVICE_SUB_CODE.RN05B, SERVICE_CODE.RN6, SERVICE_SUB_CODE.RN06A, SERVICE_CODE.RN7, SERVICE_SUB_CODE.RN07A, SERVICE_SUB_CODE.RN07B, SERVICE_CODE.RN10, SERVICE_SUB_CODE.RN10A, SERVICE_CODE.RN12, SERVICE_SUB_CODE.RN12A, SERVICE_CODE.RN13, SERVICE_SUB_CODE.RN13A, SERVICE_SUB_CODE.RN13C, SERVICE_CODE.RN14, SERVICE_SUB_CODE.RN14A, SERVICE_CODE.RN15, SERVICE_SUB_CODE.RN15A, SERVICE_SUB_CODE.RN15B, SERVICE_CODE.RN16, SERVICE_SUB_CODE.RN16A, SERVICE_SUB_CODE.RN16B, SERVICE_CODE.RN17, SERVICE_SUB_CODE.RN17A, SERVICE_CODE.RN18, SERVICE_SUB_CODE.RN18A, SERVICE_SUB_CODE.RN18B, SERVICE_SUB_CODE.RN18C, SERVICE_SUB_CODE.RN18D, SERVICE_CODE.RN22, SERVICE_SUB_CODE.RN22A, SERVICE_CODE.PS3, SERVICE_CODE.PS04, SERVICE_SUB_CODE.PS04A, SERVICE_CODE.PS5, SERVICE_CODE.PS05, SERVICE_SUB_CODE.PS05A, SERVICE_CODE.PS6, SERVICE_CODE.PS7]
}, {
  id: ROLES_ID.GCC_CITIZEN,
  name: 'gcc_citizen',
  services: [SERVICE_CODE.RN1, SERVICE_SUB_CODE.RN01A, SERVICE_SUB_CODE.RN01B, SERVICE_SUB_CODE.RN01C, SERVICE_SUB_CODE.RN01D, SERVICE_SUB_CODE.RN01E, SERVICE_CODE.RN2, SERVICE_SUB_CODE.RN02A, SERVICE_CODE.RN3, SERVICE_SUB_CODE.RN03A, SERVICE_CODE.RN4, SERVICE_SUB_CODE.RN04A, SERVICE_CODE.RN7, SERVICE_SUB_CODE.RN07A, SERVICE_SUB_CODE.RN07B, SERVICE_CODE.RN10, SERVICE_SUB_CODE.RN10A, SERVICE_CODE.RN12, SERVICE_CODE.RN13, SERVICE_SUB_CODE.RN13B, SERVICE_SUB_CODE.RN13C, SERVICE_CODE.RN14, SERVICE_CODE.RN15, SERVICE_SUB_CODE.RN15A, SERVICE_SUB_CODE.RN15B, SERVICE_CODE.RN16, SERVICE_SUB_CODE.RN16A, SERVICE_SUB_CODE.RN16B, SERVICE_CODE.RN17, SERVICE_SUB_CODE.RN17A, SERVICE_CODE.RN18, SERVICE_SUB_CODE.RN18A, SERVICE_SUB_CODE.RN18B, SERVICE_SUB_CODE.RN18C, SERVICE_SUB_CODE.RN18E, SERVICE_CODE.RN22, SERVICE_SUB_CODE.RN22A, SERVICE_CODE.PS3, SERVICE_CODE.PS04, SERVICE_SUB_CODE.PS04A, SERVICE_CODE.PS05, SERVICE_SUB_CODE.PS05A, SERVICE_CODE.PS6]
}, {
  id: ROLES_ID.FOREIGNER,
  name: 'foreigner',
  services: [SERVICE_CODE.RN1, SERVICE_SUB_CODE.RN01A, SERVICE_SUB_CODE.RN01B, SERVICE_SUB_CODE.RN01C, SERVICE_SUB_CODE.RN01D, SERVICE_SUB_CODE.RN01E, SERVICE_CODE.RN2, SERVICE_SUB_CODE.RN02A, SERVICE_CODE.RN3, SERVICE_SUB_CODE.RN03A, SERVICE_CODE.RN4, SERVICE_SUB_CODE.RN04A, SERVICE_CODE.RN7, SERVICE_SUB_CODE.RN07A, SERVICE_SUB_CODE.RN07B, SERVICE_CODE.RN10, SERVICE_CODE.RN12, SERVICE_CODE.RN13, SERVICE_SUB_CODE.RN13B, SERVICE_SUB_CODE.RN13C, SERVICE_CODE.RN14, SERVICE_CODE.RN15, SERVICE_SUB_CODE.RN15A, SERVICE_SUB_CODE.RN15B, SERVICE_CODE.RN16, SERVICE_SUB_CODE.RN16A, SERVICE_SUB_CODE.RN16B, SERVICE_CODE.RN17, SERVICE_SUB_CODE.RN17A, SERVICE_CODE.RN18, SERVICE_SUB_CODE.RN18A, SERVICE_SUB_CODE.RN18B, SERVICE_SUB_CODE.RN18C, SERVICE_SUB_CODE.RN18E, SERVICE_CODE.RN22, SERVICE_SUB_CODE.RN22A, SERVICE_CODE.PS3, SERVICE_CODE.PS05, SERVICE_SUB_CODE.PS05A, SERVICE_CODE.PS6]
}, {
  id: ROLES_ID.CITIZEN_AS_PROXY,
  name: 'reowner',
  services: [SERVICE_CODE.LN4, SERVICE_SUB_CODE.LN04A, SERVICE_CODE.LN5, SERVICE_SUB_CODE.LN05A, SERVICE_CODE.LN6, SERVICE_SUB_CODE.LN06A, SERVICE_CODE.RN1, SERVICE_SUB_CODE.RN01A, SERVICE_SUB_CODE.RN01B, SERVICE_SUB_CODE.RN01C, SERVICE_SUB_CODE.RN01D, SERVICE_SUB_CODE.RN01E, SERVICE_CODE.RN2, SERVICE_SUB_CODE.RN02A, SERVICE_CODE.RN3, SERVICE_SUB_CODE.RN03A, SERVICE_CODE.RN4, SERVICE_SUB_CODE.RN04A, SERVICE_CODE.RN10, SERVICE_CODE.RN12, SERVICE_CODE.RN6, SERVICE_SUB_CODE.RN06A, SERVICE_CODE.RN13, SERVICE_SUB_CODE.RN13A, SERVICE_SUB_CODE.RN13C, SERVICE_CODE.RN14, SERVICE_CODE.RN15, SERVICE_SUB_CODE.RN15A, SERVICE_SUB_CODE.RN15B, SERVICE_CODE.RN16, SERVICE_SUB_CODE.RN16A, SERVICE_SUB_CODE.RN16B, SERVICE_CODE.RN17, SERVICE_SUB_CODE.RN17A, SERVICE_CODE.RN18, SERVICE_SUB_CODE.RN18A, SERVICE_SUB_CODE.RN18B, SERVICE_SUB_CODE.RN18C, SERVICE_SUB_CODE.RN18D, SERVICE_CODE.RN22, SERVICE_SUB_CODE.RN22A, SERVICE_CODE.PS3, SERVICE_CODE.PS04, SERVICE_SUB_CODE.PS04A, SERVICE_CODE.PS05, SERVICE_SUB_CODE.PS05A, SERVICE_CODE.PS6]
}, {
  id: ROLES_ID.AS_A_COMPANY,
  name: 'reowner',
  services: [SERVICE_CODE.LN4, SERVICE_SUB_CODE.LN04A, SERVICE_CODE.LN5, SERVICE_SUB_CODE.LN05A, SERVICE_CODE.LN6, SERVICE_SUB_CODE.LN06A, SERVICE_CODE.RN1, SERVICE_SUB_CODE.RN01A, SERVICE_SUB_CODE.RN01B, SERVICE_SUB_CODE.RN01C, SERVICE_SUB_CODE.RN01D, SERVICE_SUB_CODE.RN01E, SERVICE_CODE.RN2, SERVICE_SUB_CODE.RN02A, SERVICE_CODE.RN6, SERVICE_SUB_CODE.RN06A, SERVICE_CODE.RN3, SERVICE_SUB_CODE.RN03A, SERVICE_CODE.RN4, SERVICE_SUB_CODE.RN04A, SERVICE_CODE.RN13, SERVICE_SUB_CODE.RN13A, SERVICE_SUB_CODE.RN13C, SERVICE_CODE.RN15, SERVICE_SUB_CODE.RN15A, SERVICE_SUB_CODE.RN15B, SERVICE_CODE.RN16, SERVICE_SUB_CODE.RN16A, SERVICE_SUB_CODE.RN16B, SERVICE_CODE.RN17, SERVICE_SUB_CODE.RN17A, SERVICE_CODE.RN22, SERVICE_SUB_CODE.RN22A, SERVICE_CODE.PS3, SERVICE_CODE.PS04, SERVICE_SUB_CODE.PS04A, SERVICE_CODE.PS05, SERVICE_SUB_CODE.PS05A, SERVICE_CODE.PS6, SERVICE_CODE.AD2]
}, {
  id: ROLES_ID.GCC_AS_PROXY,
  name: 'reowner',
  services: [SERVICE_CODE.RN1, SERVICE_SUB_CODE.RN01A, SERVICE_SUB_CODE.RN01B, SERVICE_SUB_CODE.RN01C, SERVICE_SUB_CODE.RN01D, SERVICE_SUB_CODE.RN01E, SERVICE_CODE.RN2, SERVICE_SUB_CODE.RN02A, SERVICE_CODE.RN3, SERVICE_SUB_CODE.RN03A, SERVICE_CODE.RN10, SERVICE_CODE.RN12, SERVICE_CODE.RN13, SERVICE_SUB_CODE.RN13B, SERVICE_SUB_CODE.RN13C, SERVICE_CODE.RN14, SERVICE_CODE.RN15, SERVICE_SUB_CODE.RN15A, SERVICE_SUB_CODE.RN15B, SERVICE_CODE.RN16, SERVICE_SUB_CODE.RN16A, SERVICE_SUB_CODE.RN16B, SERVICE_CODE.RN17, SERVICE_SUB_CODE.RN17A, SERVICE_CODE.RN18, SERVICE_SUB_CODE.RN18A, SERVICE_SUB_CODE.RN18B, SERVICE_SUB_CODE.RN18C, SERVICE_SUB_CODE.RN18E, SERVICE_CODE.RN22, SERVICE_SUB_CODE.RN22A, SERVICE_CODE.PS3, SERVICE_CODE.PS05, SERVICE_SUB_CODE.PS05A, SERVICE_CODE.PS6]
}, {
  id: ROLES_ID.FOREIGNER_RESIDENT_CARD_AS_PROXY,
  name: 'reowner',
  services: [SERVICE_CODE.RN1, SERVICE_SUB_CODE.RN01A, SERVICE_SUB_CODE.RN01B, SERVICE_SUB_CODE.RN01C, SERVICE_SUB_CODE.RN01D, SERVICE_SUB_CODE.RN01E, SERVICE_CODE.RN2, SERVICE_SUB_CODE.RN02A, SERVICE_CODE.RN3, SERVICE_SUB_CODE.RN03A, SERVICE_CODE.RN10, SERVICE_CODE.RN12, SERVICE_CODE.RN13, SERVICE_SUB_CODE.RN13B, SERVICE_SUB_CODE.RN13C, SERVICE_CODE.RN14, SERVICE_CODE.RN15, SERVICE_SUB_CODE.RN15A, SERVICE_SUB_CODE.RN15B, SERVICE_CODE.RN16, SERVICE_SUB_CODE.RN16A, SERVICE_SUB_CODE.RN16B, SERVICE_CODE.RN17, SERVICE_SUB_CODE.RN17A, SERVICE_CODE.RN18, SERVICE_SUB_CODE.RN18A, SERVICE_SUB_CODE.RN18B, SERVICE_SUB_CODE.RN18C, SERVICE_SUB_CODE.RN18E, SERVICE_CODE.RN22, SERVICE_SUB_CODE.RN22A, SERVICE_CODE.PS3, SERVICE_CODE.PS6]
}, {
  id: ROLES_ID.FOREIGNER_WO_RESIDENT_CARD,
  name: 'reowner',
  services: [SERVICE_CODE.RN2, SERVICE_CODE.RN3, SERVICE_CODE.RN7, SERVICE_SUB_CODE.RN07A, SERVICE_SUB_CODE.RN07B, SERVICE_CODE.RN10, SERVICE_CODE.RN12, SERVICE_CODE.RN13, SERVICE_SUB_CODE.RN13B, SERVICE_SUB_CODE.RN13C, SERVICE_CODE.RN14, SERVICE_CODE.RN16, SERVICE_SUB_CODE.RN16A, SERVICE_SUB_CODE.RN16B, SERVICE_CODE.RN17, SERVICE_SUB_CODE.RN17A, SERVICE_CODE.RN18, SERVICE_SUB_CODE.RN18A, SERVICE_SUB_CODE.RN18B, SERVICE_SUB_CODE.RN18C, SERVICE_SUB_CODE.RN18E, SERVICE_CODE.RN22, SERVICE_SUB_CODE.RN22A, SERVICE_CODE.PS3, SERVICE_CODE.PS6]
}, {
  id: ROLES_ID.FOREIGNER_WO_RESIDENT_CARD_AS_PROXY,
  name: 'reowner',
  services: [SERVICE_CODE.RN1, SERVICE_SUB_CODE.RN01A, SERVICE_SUB_CODE.RN01B, SERVICE_SUB_CODE.RN01C, SERVICE_SUB_CODE.RN01D, SERVICE_SUB_CODE.RN01E, SERVICE_CODE.RN2, SERVICE_CODE.RN3, SERVICE_CODE.RN10, SERVICE_CODE.RN12, SERVICE_CODE.RN13, SERVICE_SUB_CODE.RN13B, SERVICE_SUB_CODE.RN13C, SERVICE_CODE.RN14, SERVICE_CODE.RN15, SERVICE_SUB_CODE.RN15A, SERVICE_SUB_CODE.RN15B, SERVICE_CODE.RN16, SERVICE_SUB_CODE.RN16A, SERVICE_SUB_CODE.RN16B, SERVICE_CODE.RN17, SERVICE_SUB_CODE.RN17A, SERVICE_CODE.RN18, SERVICE_SUB_CODE.RN18A, SERVICE_SUB_CODE.RN18B, SERVICE_SUB_CODE.RN18C, SERVICE_SUB_CODE.RN18E, SERVICE_CODE.RN22, SERVICE_SUB_CODE.RN22A, SERVICE_CODE.PS3, SERVICE_CODE.PS6]
},
/* need to add these values in future
{id:ROLES_ID.PROXY_INDIVIDUAL,name:'proxy_individual',services:[SERVICE_CODE.RN1]},
{id:ROLES_ID.PROXY_MANAGER,name:'proxy_manager',services:[SERVICE_CODE.RN1]}, */
{
  id: ROLES_ID.REOWNER,
  name: 'reowner',
  services: [SERVICE_CODE.RN2, SERVICE_CODE.RN3, SERVICE_CODE.RN22]
}, {
  id: ROLES_ID.MOHUSER,
  name: 'mohuser',
  services: [SERVICE_CODE.RN2, SERVICE_SUB_CODE.RN02A, SERVICE_CODE.RN3, SERVICE_SUB_CODE.RN03A]
}, {
  id: ROLES_ID.COURT,
  name: 'court',
  services: [SERVICE_CODE.RN2, SERVICE_SUB_CODE.RN22A, SERVICE_CODE.RN3, SERVICE_SUB_CODE.RN03A, SERVICE_CODE.RN7, SERVICE_SUB_CODE.RN07A, SERVICE_SUB_CODE.RN07B, SERVICE_CODE.RN8, SERVICE_CODE.RN11, SERVICE_SUB_CODE.RN11A, SERVICE_SUB_CODE.RN11B]
}, {
  id: ROLES_ID.BANK_FLC,
  name: 'bank',
  services: [SERVICE_CODE.RN4, SERVICE_SUB_CODE.RN04A, SERVICE_CODE.RN5, SERVICE_SUB_CODE.RN05A, SERVICE_SUB_CODE.RN05B, SERVICE_CODE.RN6, SERVICE_SUB_CODE.RN06A]
}, {
  id: ROLES_ID.GOVERNMENT_OTHERS,
  name: 'ministry',
  services: [SERVICE_CODE.RN9, SERVICE_SUB_CODE.RN09A, SERVICE_CODE.WA1]
}, {
  id: ROLES_ID.MOH_EMPLOYEE,
  name: 'MOH Employee',
  services: [SERVICE_CODE.RN2, SERVICE_SUB_CODE.RN02A, SERVICE_CODE.RN3, SERVICE_SUB_CODE.RN03A]
}, {
  id: ROLES_ID.BROKER_TOURIST_COMPANY,
  name: 'broker',
  services: [SERVICE_CODE.RN13, SERVICE_SUB_CODE.RN13C]
}, {
  id: ROLES_ID.POST_OFFICE,
  name: 'postoffice',
  services: [SERVICE_CODE.LN4, SERVICE_SUB_CODE.LN04A, SERVICE_CODE.LN5, SERVICE_SUB_CODE.LN05A, SERVICE_CODE.LN6, SERVICE_SUB_CODE.LN06A, SERVICE_CODE.RN1, SERVICE_SUB_CODE.RN01A, SERVICE_SUB_CODE.RN01B, SERVICE_SUB_CODE.RN01C, SERVICE_SUB_CODE.RN01D, SERVICE_SUB_CODE.RN01E, SERVICE_CODE.RN2, SERVICE_SUB_CODE.RN02A, SERVICE_CODE.RN3, SERVICE_SUB_CODE.RN03A, SERVICE_CODE.RN4, SERVICE_SUB_CODE.RN04A, SERVICE_CODE.RN7, SERVICE_SUB_CODE.RN07A, SERVICE_SUB_CODE.RN07B, SERVICE_CODE.RN13, SERVICE_CODE.PS3, SERVICE_CODE.PS04, SERVICE_SUB_CODE.PS04A, SERVICE_CODE.PS6, SERVICE_CODE.PS7]
}, {
  id: ROLES_ID.ENGINEERING_OFFICE,
  name: 'engOffice',
  services: [SERVICE_CODE.PS7]
}, {
  id: ROLES_ID.SANAD_OFFICE,
  name: 'sanad office',
  services: [SERVICE_CODE.RN1, SERVICE_SUB_CODE.RN01A, SERVICE_SUB_CODE.RN01B, SERVICE_SUB_CODE.RN01C, SERVICE_SUB_CODE.RN01D, SERVICE_SUB_CODE.RN01E, SERVICE_CODE.RN2, SERVICE_SUB_CODE.RN02A, SERVICE_CODE.RN3, SERVICE_SUB_CODE.RN03A, SERVICE_CODE.RN4, SERVICE_SUB_CODE.RN04A, SERVICE_CODE.RN7, SERVICE_SUB_CODE.RN07A, SERVICE_SUB_CODE.RN07B, SERVICE_CODE.RN13, SERVICE_CODE.LN4, SERVICE_SUB_CODE.LN04A, SERVICE_CODE.LN5, SERVICE_SUB_CODE.LN05A, SERVICE_CODE.LN6, SERVICE_SUB_CODE.LN06A, SERVICE_CODE.PS3, SERVICE_CODE.PS04, SERVICE_SUB_CODE.PS04A, SERVICE_CODE.PS6, SERVICE_CODE.PS7]
}];
const PROFILE_LIST = [{
  roles: [ROLES_ID.OMANI_CITIZEN, ROLES_ID.GCC_CITIZEN, ROLES_ID.FOREIGNER, ROLES_ID.AS_A_COMPANY, ROLES_ID.GCC_AS_PROXY, ROLES_ID.FOREIGNER_WO_RESIDENT_CARD, ROLES_ID.COURT],
  editBtn: true,
  profileList: {
    1: true,
    2: true,
    3: true,
    4: true,
    5: true,
    6: false
  }
}, {
  roles: [ROLES_ID.CITIZEN_AS_PROXY, ROLES_ID.GCC_AS_PROXY, ROLES_ID.FOREIGNER_RESIDENT_CARD_AS_PROXY, ROLES_ID.FOREIGNER_WO_RESIDENT_CARD_AS_PROXY],
  editBtn: true,
  profileList: {
    1: false,
    2: false,
    3: true,
    4: true,
    5: true,
    6: true
  }
}, {
  roles: [ROLES_ID.BANK_FLC, ROLES_ID.GOVERNMENT_OTHERS, ROLES_ID.MOH_EMPLOYEE, ROLES_ID.BROKER_TOURIST_COMPANY, ROLES_ID.POST_OFFICE, ROLES_ID.ENGINEERING_OFFICE, ROLES_ID.SANAD_OFFICE],
  editBtn: false,
  profileList: {
    1: false,
    2: false,
    3: true,
    4: true,
    5: true,
    6: false
  }
}];
const INVOLVED_PARTIES_SUBTYPE = {
  "LookupInput": [{
    "LookupType": "InvolvedPartiesSubType"
  }]
};
const LOGIN_AUTH_ID = {
  CARD_PKI: "01",
  MOBILE_PKI: "02",
  CREDENTIALS: "03",
  DEFAULT: "999"
};
const ID_TYPE_CONFIGURATION = {
  "LookupInput": [{
    "LookupType": "IdType"
  }]
};
const GROUP_WORKITEM_ROLES = ["CommerceMinistryRepresentative", "AgricultureMinistryRepresentative", "EndowmentMinistryRepresentative", "TangoBrokersRepresentative", "CharlieBrokersRepresentative", "EducationMinistryRepresentative", "TourismMinistryRepresentative", "HarvestRepresentative", "MuscatROPRepresentative"];
const CONTRACT_SERVER_HOST = "http://34.225.130.79:11085/";
const RN13_CONTRACT_DOCUMENTS = {
  "ApplicableDocDetails": [{
    "ServiceSubID": "RN13C",
    "DocumentTypeID": "26",
    "DocumentTypeAr": "عقد مبدئي",
    "DocumentTypeEn": "Initial Contract",
    "isMandatory": "Y"
  }, {
    "ServiceSubID": "RN13C",
    "DocumentTypeID": "27",
    "DocumentTypeAr": "عقد نهائي",
    "DocumentTypeEn": "Standard Contract",
    "isMandatory": "Y"
  }, {
    "DocumentTypeID": "44",
    "DocumentGroupID": "20",
    "DocumentTypeAr": "خطاب التحقق من شرطة عمان السلطانية",
    "DocumentTypeEn": "ROP Verification Letter"
  }, {
    "DocumentTypeID": "11",
    "DocumentTypeAr": "رسالة الوكالة",
    "DocumentTypeEn": "Power of Attorney",
    "isMandatory": "Y"
  }]
};
const RN1E_DOC_DETIALS = {
  DocumentDetails: [{
    AlfrescoID: "0",
    DocumentName: "Copy Receipt",
    DocumentNameAR: "نسخة من الوصل المالي",
    DocumentTypeID: "9",
    DocumentTypeArabic: "نسخة من الوصل المالي",
    DocumentTypeEnglish: "Copy Receipt",
    DocumentGroupID: "2"
  }, {
    AlfrescoID: "0",
    DocumentName: "Copy of ID",
    DocumentNameAR: "نسخة من البطاقة الشخصية",
    DocumentTypeID: "1",
    DocumentTypeArabic: "نسخة من البطاقة الشخصية",
    DocumentTypeEnglish: "Copy of ID",
    DocumentGroupID: "2"
  }, {
    AlfrescoID: "0",
    DocumentName: "Copy of Krooki",
    DocumentNameAR: "نسخة من  الرسم المساحي",
    DocumentTypeID: "5",
    DocumentTypeArabic: "نسخة من  الرسم المساحي",
    DocumentTypeEnglish: "Copy of Krooki",
    DocumentGroupID: "2"
  }, {
    AlfrescoID: "0",
    DocumentName: "Copy of Ownership Statement(Mulkiya)",
    DocumentNameAR: "نسخة من سند الملكية",
    DocumentTypeID: "6",
    DocumentTypeArabic: "نسخة من سند الملكية",
    DocumentTypeEnglish: "Copy of Ownership Statement(Mulkiya)",
    DocumentGroupID: "2" // ReferenceID: "RN13A-120882"

  }, {
    AlfrescoID: "0",
    DocumentName: "Copy of Passport",
    DocumentNameAR: "نسخة من جواز السفر",
    DocumentTypeID: "2",
    DocumentTypeArabic: "نسخة من جواز السفر",
    DocumentTypeEnglish: "Copy of Passport",
    DocumentGroupID: "2"
  }, {
    AlfrescoID: "0",
    DocumentName: "Mortgage Contract",
    DocumentNameAR: "نسخة من عقد الرهن",
    DocumentTypeID: "12",
    DocumentTypeArabic: "نسخة من عقد الرهن",
    DocumentTypeEnglish: "Mortgage Contract",
    DocumentGroupID: "2"
  }, {
    AlfrescoID: "0",
    DocumentName: "Power of Attorney",
    DocumentNameAR: "رسالة الوكالة",
    DocumentTypeID: "11",
    DocumentTypeArabic: "رسالة الوكالة",
    DocumentTypeEnglish: "Power of Attorney",
    DocumentGroupID: "2"
  }, {
    AlfrescoID: "0",
    DocumentName: "Purchasing or Sale Contract",
    DocumentNameAR: "نسخة من عقد البيع",
    DocumentTypeID: "13",
    DocumentTypeArabic: "نسخة من عقد البيع",
    DocumentTypeEnglish: "Purchasing or Sale Contract",
    DocumentGroupID: "2"
  } // {
  //   AlfrescoID: "0",
  //   DocumentName: "Copy of Iqama",
  //   DocumentNameAR: "صورة عن الإقامة",
  //   DocumentTypeID: "3",
  //   DocumentTypeArabic: "صورة عن الإقامة",
  //   DocumentTypeEnglish: "Copy of Iqama",
  //   DocumentGroupID: "2"
  //   // ReferenceID: "RN13A-120882"
  // },
  ]
};
export const ConstantVariable = {
  ENV_MODE,
  LN1_SPOUSE_DETAILS_FORM_VIEW,
  LN1_PARTNER_DETAILS_FORM_VIEW,
  GET_WORKORDERFORM,
  LN1ISPROCEEDFORM,
  LN1RESIDENTS,
  LN1APPLICATIONPREVIEW,
  LN1RESPREVIEW,
  LN1_RE_RES_FORM,
  LN1RE_SUBMIT_PREVIEW,
  LN1_COMMERCIAL_RE_RES_FORM,
  LN1RE_COMMERCIAL_SUBMIT_PREVIEW,
  LN1_COMMERCIAL_COMPANY_FORM,
  LN1_COMMERCIAL_COMPANY_PAYMENT_PREVIEW,
  LN1_RESIDENTIAL_COMPANY_PAYMENT_PREVIEW,
  LN1_RESIDENTIAL_RELATIONSHIP_TABLE_LIST,
  LN1_RESIDENTIAL_PARTNER_TABLE_LIST,
  LANDTEMPLATEDATA,
  LN1COMMERCIAL,
  LN1RESCOMMERCIALPREVIEW,
  LN1RESCOMMERCIAL,
  APPLICATION_TAB_VIEW,
  APPLICATION_TAB_VIEW_LAND,
  LAND_DRAW_TAB_VIEW,
  LAND_POWER_OF_ATTORNEY,
  LAND_FROM_DRAW,
  APPLICATION_DETAILS,
  GET_APPLICATION_DETAILS_CONFIG,
  GET_WORK_ITEM_LIST_CONFIG,
  REQUEST_RESIDENTIAL_APPLICATION,
  REQUEST_RES_GETAPPLICATIOM,
  GET_LANDFROMDRAW,
  CREATE_REOWNERSHIP,
  UPDATE_LANDDRAW_ATTENDEES,
  REQUEST_COMMERCIAL_APPLICATION,
  REQUEST_GET_COMMERCIAL_APPLICANT,
  FEES_LOOKUP_URL,
  APPLICATION_LIST,
  MOBILE_PKI,
  LAND_APPLICABLE_SERVICES,
  FILE_UPLOAD,
  GET_DOCUMENTS,
  PAYMENT_REPORT,
  MOH_USER_LOGIN,
  GET_RESOURCE_BY_NAME,
  GET_RESOURCE_DETAILS,
  UPLOADDOCUMENTLIST,
  ELIGIBILITY_API,
  OPENWORKITEM,
  GET_INVOVLED_PARTY,
  BREADCRUMBS_URI,
  METHOD,
  REQUEST_COMMERCIAL_PARTNER_APPROVE_REJECT,
  _SESSION,
  ESERVICE_CODE,
  RELATIONSHIP_LIST,
  SERVICE_ID,
  ESERVICE_SUB_SERVICE,
  ESERVICE_CODE_SERVICE,
  DOCUMENT_UPLOAD_FILE_EXTENTION,
  FILE_UPLOAD_SIZE,
  FILE_UPLOAD_TIMES,
  FILE_UPLOAD_LIMIT,
  ACTIONCODE,
  APPLICATION_STATUS,
  GETLAND_INVOLVEDPARTYID,
  GET_MYWORKITEM_LIST,
  GET_UTILITY_LOOKUP,
  GET_QUERY_RE_OBJECT,
  MOBILE_LENGTH,
  GET_RE_OBJECT_DATA,
  RN1OMANISERVICEAPPLICATIONFORMVIEW,
  RN1COMPANYAPPLICATIONFORMVIEW,
  RN1OMANILOSTSERVICEPREVIEW,
  RN1COMPANYLOSTSERVICEPREVIEW,
  RN1OMANIDAMAGEDSERVICEPREVIEW,
  RN1COMPANYDAMAGEDSERVICEPREVIEW,
  RN1OMANIREQUESTDOCUMENTSERVICEPREVIEW,
  RN1COMPANYREQUESTDOCUMENTSERVICEPREVIEW,
  RN1OMANIOWNERSHIPDATASERVICEPREVIEW,
  RN1COMPANYOWNERSHIPDATASERVICEPREVIEW,
  RN1DGCCFOREINGEROWNERSHIPDATASERVICEPREVIEW,
  RN1DOMANIOWNERSHIPDATASERVICEPREVIEW,
  RN1DCOMPANYOWNERSHIPDATASERVICEPREVIEW,
  RN1OMANIREQUEESTREDOCUMENTSERVICEPREVIEW,
  RN1GCCFOREINGERSERVICEAPPLICATIONFORMVIEW,
  RN1GCCFOREINGERLOSTSERVICEPREVIEW,
  RN1GCCFOREINGERDAMAGEDSERVICEPREVIEW,
  RN1GCCFOREINGERREQUESTDOCUMENTSERVICEPREVIEW,
  RN1GCCFOREINGEROWNERSHIPDATASERVICEPREVIEW,
  RN1GCCFOREINGERREQUEESTREDOCUMENTSERVICEPREVIEW,
  RN1POSTOFFICEAPPLICATIONFORM,
  RN1REGIONALOFFICEAPPLICATIONFORM,
  RN1REGIONALOFFICEAPPLICATIONCUSTOMFORM,
  RN1UNOFFICIALFILEFORM,
  RN1LOSTDOCUMENTREQUEST,
  RN1DAMAGEDDOCUMENTREQUEST,
  RN1REQUESTDISPLAYREALESTATEDDOCUMENT,
  GET_LANDINFO_LIST_CONFIG,
  RN1_SUB_SERVICE,
  RN1_SUB_SERVICE_CODE,
  RN1_APPLICATION_REQUEST,
  RN1AOMANIREALESTATEVIEWFORM,
  RN1ACOMPANYREALESTATEVIEWFORM,
  RN1AGCCREALESTATEVIEWFORM,
  RN1BOMANIREALESTATEVIEWFORM,
  RN1BCOMPANYREALESTATEVIEWFORM,
  RN1BGCCREALESTATEVIEWFORM,
  RN1COMANIREALESTATEVIEWFORM,
  RN1CCOMPANYREALESTATEVIEWFORM,
  RN1CGCCREALESTATEVIEWFORM,
  RN1EOMANIREALESTATEVIEWFORM,
  RN1ECOMPANYREALESTATEVIEWFORM,
  RN1EGCCREALESTATEVIEWFORM,
  RN1AOMANIREALESTATEVIEWFORMFINAL,
  RN1ACOMPANYREALESTATEVIEWFORMFINAL,
  RN1AGCCREALESTATEVIEWFORMFINAL,
  RN1BOMANIREALESTATEVIEWFORMFINAL,
  RN1BCOMPANYREALESTATEVIEWFORMFINAL,
  RN1BGCCREALESTATEVIEWFORMFINAL,
  RN1COMANIREALESTATEVIEWFORMFINAL,
  RN1CCOMPANYREALESTATEVIEWFORMFINAL,
  RN1DCOMANIREALESTATEVIEWFORMFINAL,
  RN1DCCOMPANYREALESTATEVIEWFORMFINAL,
  RN1CGCCREALESTATEVIEWFORMFINAL,
  RN1EOMANIREALESTATEVIEWFORMFINAL,
  RN1ECOMPANYREALESTATEVIEWFORMFINAL,
  RN1EGCCREALESTATEVIEWFORMFINAL,
  RN1AOMANIREALESTATEWORKIREMFORM,
  RN1ACOMPANYREALESTATEWORKIREMFORM,
  RN1AGCCREALESTATEWORKIREMFORM,
  RN1BOMANIREALESTATEWORKIREMFORM,
  RN1BCOMPANYREALESTATEWORKIREMFORM,
  RN1BGCCREALESTATEWORKIREMFORM,
  RN1COMANIREALESTATEWORKIREMFORM,
  RN1CCOMPANYREALESTATEWORKIREMFORM,
  RN1DCOMANIREALESTATEWORKIREMFORM,
  RN1DCCOMAPYREALESTATEWORKIREMFORM,
  RN1CGCCREALESTATEWORKIREMFORM,
  RN1DCGCCREALESTATEWORKIREMFORM,
  RN1EOMANIREALESTATEWORKIREMFORM,
  RN1ECOMPANYREALESTATEWORKIREMFORM,
  RN1EGCCREALESTATEWORKIREMFORM,
  RN2_APPLICATION_REQUEST,
  RN2_APPLICATION_MOHUSER_REQUEST,
  RN2REALESTATEFREEZINGFORMREQUESTVIEW,
  RN2REALESTATEFREEZINGMOHUSER,
  RN2REALESTATEFREEZINGMOHUSERUNFREEZE,
  RN2REALESTATEFREEZINGCOURTFORMREQUESTVIEW,
  RN2REALESTATEFREEZINGFORMPREVIEW,
  RN2COMPANYREALESTATEFREEZINGFORMPREVIEW,
  RN2_GET_LANDINFO_LIST_CONFIG,
  RN3_GET_LANDINFO_LIST_CONFIG,
  RN3_MOH_GET_LANDINFO_LIST_CONFIG,
  RN2_COURT_SEARCH_LIST,
  RN2REALESTATEFREEZINGWORKITEMFORMPREVIEW,
  RN2REALESTATEFREEZINGWORKITEMFORMPREVIEWCOURT,
  RN2COMPANYREALESTATEFREEZINGWORKITEM,
  RN2COMPANYREALESTATEUNFREEZINGWORKITEM,
  RN2REALESTATEFREEZINGWORKITEMPAYMENT,
  RN2REALESTATEFREEZINGWORKITEM,
  RN3REALESTATEFREEZINGFORMREASON,
  RN2_REOBJECT_FREEZE,
  RN2FREEZREQUESTFILEFORM,
  RN3REALESTATEUNFREEZEAPPREQUEST,
  RN3UNFREEZREFORMVIEW,
  RN3UNFREEZEVIEWFILE,
  REOWNERUNFREEZEVIEWFILE,
  RN3REALESTATEFREEZINGFORMPREVIEW,
  RN3COMPANYREALESTATEFREEZINGFORMPREVIEW,
  RN2REALESTATEFREEZINGMOHUSERFORM,
  RN1REALESTATEORGUSERFORM,
  RNREALESTATEORGUSERFORM,
  GET_RETABL_LIST_CONFIG,
  GET_RETABL_LIST_CONFIG_SUCCESS,
  RN2_FREEZE_PREVIEW_MOHUSER_WORKITEM,
  RN2_FREEZE_PREVIEW_MOHUSER,
  RN2REALESTATEFREEZINGFORMREQUESTVIEW_COURT,
  RN2REALESTATEFREEZINGCOURTFORMREQUESTVIEW_COURT,
  RN2REALESTATEFREEZINGFORMPREVIEW_COURT,
  RN2FREEZREQUESTFILEFORM_COURT,
  RN2_GET_LANDINFO_LIST_CONFIG_COURT,
  RN2_COURT_SEARCH_LIST_COURT,
  RN2UNFREEZREQUESTFILEFORM_COURT,
  RN2REALESTATEUNFREEZINGFORMPREVIEW,
  RN2REALESTATEFREEZINGAPPRESUBMIT,
  RN3REALESTATEUNFREEZINGAPPRESUBMIT,
  RN2REALESTATECOMPANYFREEZINGAPPRESUBMIT,
  RN3REALESTATECOMPANYUNFREEZINGAPPRESUBMIT,
  RN3_UNFREEZE_PREVIEW_MOHUSER,
  RN3REALESTATEUNFREEZINGAPPVIEW,
  RN3REALESTATECOMPANYUNFREEZINGAPPVIEW,
  RN2REALESTATEFREEZINGAPPVIEW,
  RN2REALESTATECOMPANYFREEZINGAPPVIEW,
  PUT_COMPLETEWORKITEM,
  LAYOUT_DIR,
  USER_MORTGAGE_FORM,
  COMPANY_MORTGAGE_FORM,
  COMPANY_USER_MORTGAGE_DETAILS_PREVIEW,
  RN4_COMPANY_DASHBOARD_APPLICATION_FORM,
  REAL_ESTATE_DETAILS_FORM,
  USER_MORTGAGE_DETAILS_FORM,
  BANK_MORTGAGE_DETAILS_FORM,
  USER_MORTGAGE_DETAILS_PREVIEW,
  BANK_MORTGAGE_DETAILS_PREVIEW,
  COMPANY_MORTGAGE_DETAILS_PREVIEW,
  SELECT_OPTION_LENGTH,
  BANK_SEARCH_FORM,
  RN4_SERVICE_APPLICATION_FORM,
  RN4_SERVICE_RESUBMIT_APPLICATION_FORM,
  RN4_BANK_SERVICE_RESUBMIT_APPLICATION_FORM,
  RN4_COMPANY_SERVICE_RESUBMIT_APPLICATION_FORM,
  RN4_COMPANY_PAYMENT_RESUBMIT_APPLICATION_FORM,
  RN4_BANK_SERVICE_PAYMENT_APPLICATION_FORM,
  USER_MORTGAGE_DETAILS_RESUBMIT_FORM,
  BANK_MORTGAGE_DETAILS_RESUBMIT_FORM,
  RN4_DASHBOARD_APPLICATION_FORM,
  RN4_COMPANY_REOWNERINFO_TABLE_LIST_CONFIG,
  GET_REMARK_LIST,
  USERTYPEID,
  GET_MORTGAGE_APPLICATION_LIST_CONFIG,
  NEW_ENTITY_USER_MORTGAGE_DETAILS_FORM,
  BANK_SRCH_FRM,
  BANK_DETAILS_FRM,
  GET_REMARK,
  NEW_SRCH_RETRANSFER_FRM,
  OLD_ENTITY_USER_MORTGAGE_DETAILS_FORM,
  TRANSFER_MORTGAGE_DETAILS_PREVIEW,
  TRANSFER_MORTGAGE_ENTITY_DETAILS_PREVIEW,
  TRANSFER_MORTGAGE_PAYMENT_PREVIEW,
  UPDATE_MORTGAGE_DETAILS_FORM,
  OLD_MORTGAGE_DETAILS_RELEASE_FORM,
  RELEASE_RE_ENTITY_FRM,
  NEW_RE_ENTITY_FRM,
  NEW_ENTITY_FRM,
  SELLER_MAX_LIMIT,
  SPOUSE_MAX_LIMIT_MALE,
  SPOUSE_MAX_LIMIT_FEMALE,
  PARTNER_MAX_LIMIT,
  GenderID_MALE,
  GenderID_FEMALE,
  RN1_FREEZEFLAGE,
  RN5_SERVICE_RESUBMIT_APPLICATION_FORM,
  TESTAMENT_MAX_LIMIT,
  RN7_PREVIEW,
  USER_APPLICANT_FORM,
  RN7_USER_APPLICANT_FORM,
  RN7_DECEASED_PERSON_SEARCH_FORM,
  RN7_DECEASED_OWNER_LIST,
  RN7_APPLICATION_DETAIL_FORM,
  RN7_INHERITANCE_TABLE_LIST,
  RN7_INHERITANCE_SEARCH_FORM,
  RN7_INHERITANCE_SEARCH_FORM_VIEW,
  RN7_GCC_INHERITANCE_SEARCH_FORM,
  RN7_APPLICATION_REQUEST,
  RN7_INCOMMPLETE_WORKITEM,
  RN7_WORKITEM_PREVIEW,
  RN7_REOWNERINFO_TABLE_LIST_CONFIG,
  RN7_COURT_PREVIEW,
  RN7_COURT_DETAIL,
  RN9_USER_APPLICANT_FORM,
  RN9_LAND_DETAILS_FORM,
  RN9_PREVIEW,
  RELEASE_MORTGAGE_DETAILS_PREVIEW,
  RELEASE_BANK_DETAILS_FRM,
  RELEASE_BANK_SRCH_FRM,
  RELEASE_RE_UPDATE_FRM,
  RELEASE_MORTGAGE_PAYMENT_PREVIEW,
  RELEASE_MORTGAGE_PAYMENT_BANK,
  RELEASE_VIEW_DETAILS_PREVIEW,
  RN6_SERVICE_RESUBMIT_APPLICATION_FORM,
  RELEASE_RE_OWNER_DETAILS,
  RN6_OWNERSHIP_TABLE_LIST,
  RN6_REAL_ESTATE_DETAILS_SEARCH_FORM,
  TRANSFER_VIEW_DETAILS_PREVIEW,
  TRANSFER_TYPE,
  REAL_ESTATE_SRCH_FRM,
  GET_REAL_ESTATE_LIST_CONFIG,
  TESTAMENT_RE_ENTITY_FRM,
  PROXY_SRCH_DETAILS_FORM,
  PROXY_DETAILS_FORM,
  PROXY_PERSONAL_DETAILS_FORM,
  RN8_TESTAMENT_SEARCH_FORM,
  RN8_TESTAMENT_DETAILS_FORM,
  RN8_TESTAMENT_TABLE_LIST,
  RN8_NEW_OWNER_DETAILS_FORM,
  TESTAMENT_COURT_DETAILS_FRM,
  TESTAMENT_DETAILS_PREVIEW,
  RN9_ENDOWMENT_PAYMENT_PREVIEW,
  RN9_ENDOWMENT_DASHBOARD_PREVIEW,
  RN9_ENDOWMENT_DETAILS,
  RN9_ENDOWMENT_DETAILS_EDIT,
  RN9_ENDOWMENT_DETAILS_RESUBMIT,
  RN9_SERVICE_RESUBMIT_APPLICATION_FORM,
  TEMP_RN9_COMPANY_REQUEST_ACTIVITY,
  LANG,
  RN8_ADD_OWNER_PERCENTAGE_FORM,
  TESTAMENT_PAYMENT_PREVIEW,
  RN8_SERVICE_RESUBMIT_APPLICATION_FORM,
  REAL_ESTATE_SRCH_FRM_RE_SUBMIT,
  RN8_TESTAMENT_TABLE_VIEW_LIST,
  DELETE_DOCUMENTS,
  RN9_APPLICATION_REQUEST,
  SERVICE_CODE,
  SERVICE_SUB_CODE,
  ROLES,
  ROLES_ID,
  INVOLVED_PARTIES_SUBTYPE,
  ID_TYPE_CONFIGURATION,
  CRN_MAX_LENGTH,
  RE_LEGAL_FORM,
  LOGIN_AUTH_ID,
  USERNAME_LENGTH,
  PASSWORD_LENGTH,
  OTP_LENGTH,
  MAX_MINISTRY_FEES_VALUE,
  RN5_CONST,
  RN12_APPLICANT_REALESTATE_FORM,
  RN12_GET_LAND_INFO_LIST,
  RN12_OWNER_DETAILS_FORM,
  SPLIT_RE_ENTITY_FRM,
  RN12_GET_OWNER_INFO_LIST,
  RN12_GET_SHARED_LAND_INFO_LIST,
  UPDATED_RE_OWNER_DETAILS_PREVIEW,
  UPDATED_RE_PROXY_OWNER_DETAILS_PREVIEW,
  SPLIT_VIEW_DETAILS_PREVIEW,
  RN12_ADD_OWNER_DETAILS_FORM,
  SPLIT_RE_PAYMENT_DETAILS_PREVIEW,
  RN12_PROXY_APPLICANT_FORM,
  PROXY_REAL_ESTATE_SRCH_FRM,
  RN10_USER_APPLICANT_FORM,
  RN10_GRANT_DETAILS_SEARCH_FORM,
  RN10_GRANT_TABLE_LIST,
  RN10_GRANT_TABLE_LIST_VIEW,
  RN10_GRANT_DETAILS,
  RN10_APPLICATION_REQUEST,
  REQUEST_ROP,
  GET_PROXY_DETAILS,
  RN10_PREVIEW,
  RN10_PROXY_PREVIEW,
  RN10_WORKITEM_PREVIEW,
  RN10_INCOMMPLETE_WORKITEM,
  RN10_PROXY_SEARCH_FORM,
  RN10_PROXY_APPLICANT_FORM,
  CRN_SEARCH_FORM,
  GET_ROP_PERSON_DETAILS,
  REGISTER_ROP_PERSON_DETAILS,
  VALIDATE_OTP,
  RN3REALESTATEUNFREEZINGWORKITEMFORMPREVIEWCOURT,
  CREATE_INVOLVEPARTY,
  USER_REGISTER_FORM,
  USER_SEARCH_FORM,
  PWD_CHANGE_FORM,
  PASSWORD_CHANGE,
  APPLICANT_ENTITY_DETAILS_FRM,
  LN3_APPLICAITON_FORM,
  LN3_ENTITY_TYPE_FORM,
  LN3_REQUESTED_LAND_PREVIEW,
  LN3_ADD_COORDINATES_DETAILS_FORM,
  LN3_GET_COORDINATES_LIST,
  LN3_RESUBMIT_PREVIEW_FORM,
  LN3_UPDATE_APPLICAITON_FORM,
  LN4_APPLICANT_ENTITY_DETAILS_FRM,
  LN4_APPLICAITON_FORM_INITIAL,
  LN4_APPLICAITON_FORM_INITIAL_PROXY,
  LN4_APPLICAITON_FORM_SECOND,
  LN4_APPLICAITON_FORM_SECOND_STATION,
  LN4_APPLICAITON_FORM_THIRD,
  LN04_APPLICATION_MOHUSER_REQUEST,
  LN4_APPLICAITON_ENTITY_FORM,
  LN4_PROXY_APPLICANT_FORM,
  LN4_PROXY_DETAIL_FORM,
  LN4_APPLICAITON_FORM,
  LN4_REQUESTED_LAND_PREVIEW,
  LN4_PROXY_LAND_PREVIEW,
  LN4_REQUESTED_LAND_VIEW,
  LN4_RESUBMIT_PREVIEW_FORM,
  LN4_INCOMPLETE_RESUBMIT_PREVIEW_FORM,
  LN4_UPDATE_APPLICAITON_FORM,
  LN4_GOVERNMENT_AUTHORITY_FORM,
  LN4_GOVERNMENT_AUTHORITY_APPROVAL,
  LN4_ADD_GOVERNMENT_AUTHORITY_FORM,
  LN4_APPROVAL_TABLE_LIST,
  LN4_GOVERNMENT_AUTHORITY,
  LN4_REJECT_TEMPLATE_FORM,
  LN6_SEARCH_TEMPLATE_FORM,
  LN6_USEFRUCT_FORM,
  LN6_USEFRUCT_REASON_FORM,
  LN6_USEFRUCT_PREVIEW_FORM,
  LN6_APPLICATION_TABLE_FORM,
  LN6_GET_TRANSECTION_DETAILS,
  LN6_APPLICANT_FORM,
  GET_LISTORGANIZATION_USER_DETAILS,
  GET_COMMERCIAL_WRAPPER_REQ,
  RN14_LAND_DETAILS_FORM,
  RN14_FIRST_PARTY_FORM,
  RN14_PREVIEW,
  RN14_EXCHANGE_LAND_DETAILS,
  RN15_PROXY_APPLICANT_FORM,
  RN15_PROXY_DETAIL_FORM,
  RN15_USER_APPLICANT_FORM,
  RN15_INDIVIDUAL_REQUEST_PREVIEW_FORM,
  RN15_COMPANY_REQUEST_PREVIEW_FORM,
  RN15_INCOMPLETE_FORM,
  RN15_COMPLETE_FORM,
  RN15_WORKITEM_COMPANY_FORM,
  RN15_GOVERNMENT_AUTHORITY_APPROVAL,
  RN15_REJECT_TEMPLATE_FORM,
  GENERATE_OTP,
  GET_ORGANIZATION_LIST,
  NEW_ORGANIZATION_USER_FORM,
  CREATE_USER_ASSOCIATION,
  ORGANIZATION_USER_TABLE_LIST,
  RN14_PROXY_PREVIEW,
  RN14_INCOMMPLETE_WORKITEM,
  RN14_WORKITEM_PREVIEW,
  RN14_APPLICATION_LIST,
  GET_LISTORGANIZATION_DETAILS,
  OMANNET_PAYMENT_URL,
  LN1COMMERCIALCOMPANYLISTDTLS,
  LN1COMMERCIALCOMPANYDTLS,
  COMPANY_LIST,
  COMPANY_ELIGIBiLITY,
  LN1LOCATIONSELECTIONFORM,
  LN1B_ENDOWMENT_PAYMENT_PREVIEW,
  LN1B_COMMERCIAL,
  LN1B_EDIT_COMMERCIAL,
  LN1B_CONSTANTS,
  // portal 
  BASE_URL,
  TOLLFREE,
  TWIT,
  TEMPLATE_CONTENT,
  CHILD_DATA,
  GET_COMPONENT_DATA,
  GET_COMMENT_DATA,
  MAIN_NAV,
  PAGE_DETAIL,
  SEARCH,
  HOME_COMP,
  GALLERY,
  GET_NEWS,
  MAIN_NAV_ROUTE_PARAM,
  MAIN_NAV_MENU_ROUTE_PARAM,
  HOME_COMP_ANNOUNCEMENT_PARAM,
  HOME_COMP_TESTIMONIAL_PARAM,
  FOOTER_CONTACT,
  FOOTER_BOTTOM,
  RN10_APPLICANT_DETAILS,
  RN10_GRANT_DETAILS_CITIZEN,
  RN10_GRANT_SEARCH_DETAILS,
  RN10_DASHBOARD_PREVIEW,
  OAB_PAYMENT_URL,
  CYBERSOURCE_PAYMENT_URL,
  LN3_REQUESTED_LAND_VIEW,
  RN8_WORKITEM_PREVIEW,
  RN8_WORKITEM_OWNER_PERCENTAGE_FORM,
  TEMP_LN1B_READY_FOR_DRAW_PREVIEW,
  TEMP_LN1A_READY_FOR_DRAW_PREVIEW,
  TEMP_LN1B_WORKITEM_PREVIEW,
  ASSIGN_WORKITEM,
  RN21_BUYER_SEARCH_FORM,
  RN21_ADD_BUYER_DETAILS_FORM,
  RN21_BUYER_TABLE_LIST,
  RN21_NEW_BUYER_DETAILS_FORM,
  RN21_LAND_INFO_FORM,
  RN21_SALE_DETAILS_PREVIEW,
  RN21_SALE_DETAILS_COMPANY_PREVIEW,
  RN21_BROKER_SEARCH_FORM,
  BROKER_MAX_LIMIT,
  RN21_BROKER_DETAILS_PREVIEW,
  RN21_BUYERS_DETAILS_PREVIEW,
  RN21_BROKER_SALE_DETAILS_PREVIEW,
  RN21_SALE_DETAILS_RESUBMIT_FORM,
  RN21_SALE_DETAILS_PAYMENT_PREVIEW,
  RN21_REOWNER_PREVIEW_FORM,
  RN21_COMPANY_REOWNER_PREVIEW_FORM,
  RN21_PROXY_SALE_DETAILS_PREVIEW,
  GET_APPLICATION_BROKER_DETAILS,
  RN21_PROPERTY_DETAILS_FORM,
  GET_BROKER_CONTRACT_LIST_DETAILS,
  RN21_CONTRACT_TABLE_LIST,
  RN21_BROKER_DETAILS_FORM,
  RN21_BROKER_TABLE_LIST,
  APPLICATION_DASHBOARD_TABLE_LIST,
  BROKER_CONTRACT_DASHBOARD_TABLE_LIST,
  SERVICES,
  TEMP_LN1A_WORKITEM_PREVIEW,
  TEMP_LN1A_EDIT_SPOUSE_TABLE_LIST,
  GROUP_WORKITEM_ROLES,
  PlaceholderForLabelsProfileCol1,
  PlaceholderForLabelsProfileCol2,
  BREADCRUMB_ENABLED_SCREENS,
  RN21_REOWNER_BROKER_PREVIEW_FORM,
  PUT_SAVEWORKITEM,
  RN13C_BROKER_STANDARD_PREVIEW,
  RN13C_BROKER_CONTRACT_DETAILS_PREVIEW,
  HTML_TO_PDF_API,
  CONTRACT_SERVER_HOST,
  RN13_CONTRACT_DOCUMENTS,
  RN21_BROKER_LAND_INFO_FORM,
  RN21_REOWNER_BROKER_FINAL_PREVIEW_FORM,
  RN21_REOWNER_PAYMENT_PREVIEW_FORM,
  LN5_CONTRACT_PERIOD_FORM,
  GET_NEW_SESSION,
  LN5_USEFRUCT_PREVIEW_FORM,
  LN5_RESUBMIT_PREVIEW_FORM,
  LN5_PROXY_USEFRUCT_PREVIEW_FORM,
  LN5_INCOMPLETE_RESUBMIT_PREVIEW_FORM,
  LN5_RENEW_FORM,
  TEMP_LN06A_WORKITEM_PREVIEW,
  TEMP_LN06A_PROXY_APPLICATION_PREVIEW,
  TEMP_LN06A_PROXY_WORKITEM_PREVIEW,
  TEMP_POST_OFFICE_USER_SIGN_IN,
  KROOKI_VALIDATION,
  RN13_APPLICAION_DASHBOARD_PREVIEW,
  RN13_APPLICAION_COMPANY_DASHBOARD_PREVIEW,
  RN13B_REOWNER_PAYMENT_PREVIEW_FORM,
  RN13B_COMPANY_REOWNER_PAYMENT_PREVIEW_FORM,
  TEMP_RN16_BENEFICIARY_TABLE_LIST,
  TEMP_RN16_USUFRUCT_DETAILS,
  TEMP_RN16_BENEFICIARY_REQUEST_TYPE,
  TEMP_RN16_SEARCH_INDIVIDUAL,
  TEMP_RN16_SEARCH_COMPANY,
  TEMP_RN16_COMPANY_REQUEST_ACTIVITY,
  TEMP_RN16_COMPANY_TABLE_LIST,
  RN_USUFRUCT_INDIVIDUAL_MAX_LIMIT,
  RN_USUFRUCT_COMPANY_MAX_LIMIT,
  RN_USUFRUCT_CONTRACT_PERIOD_MIN_LIMIT,
  RN_USUFRUCT_CONTRACT_PERIOD_MAX_LIMIT,
  RN16_USUFRUCT_DETAILS_PREVIEW,
  RN16_USUFRUCT_INDIVIDUAL_DETAILS_PREVIEW,
  RN17_COMPANY_REQUEST_PREVIEW_FORM,
  RN17_INDIVIDUAL_REQUEST_PREVIEW_FORM,
  TEMP_USUFRUCT_FINANCIAL_OBLIGATION_TABLE_LIST,
  TEMP_USUFRUCT_FINANCIAL_OBLIGATION_OVERVIEW,
  RN17_USUFRUCT_REASON_FORM,
  RN17_COMPLETE_FORM,
  RN17_WORKITEM_COMPANY_FORM,
  RN17_INCOMPLETE_FORM,
  TEMP_RN16_SEARCH_USUFRUCT_APPLICATION_NUM,
  REQUEST_FINANCIAL_OBLIGATION,
  REQUEST_FEES_CALCULATION,
  TEMP_RN16_USUFRUCT_TABLE_LIST,
  TEMP_RN18_SELECT_SERVICE,
  TEMP_RN18_SEARCH_LAND,
  RN18_APPLICATION_REQUEST,
  TEMP_RN18_GRANT_DASHBOARD,
  TEMP_RN18_GRANT_PREVIEW,
  TEMP_RN18_SELL_PREVIEW,
  TEMP_RN18_SEARCH_OWNER,
  RN18_SPLIT_TABLE_LIST,
  TEMP_RN18_SPLIT_PREVIEW,
  TEMP_RN18_PROXY_GRANT_PREVIEW,
  TEMP_RN18_PROXY_SPLIT_PREVIEW,
  TEMP_RN18_PROXY_SELL_PREVIEW,
  TEMP_RN18_TEST_PREVIEW,
  TEMP_RN18_SELECT_WITHOUT_SERVICE,
  TEMP_CONS_OFFICE_USER_SIGN_IN,
  RN21_BROKER_POPUP_DETAILS,
  RN11_REVIEW_REQUEST_TYPE,
  RN11_REVIEW_DOCUMENT_SEARCH_FORM,
  RN11_REVIEW_LAND_SEARCH_FORM,
  RN11_DOCUMENT_REVIEW_REQUEST_PREVIEW,
  RN11_REVIEW_REASON_FORM,
  RN11_WORK_ITEM_DETAILS_FRM,
  RN11_REOWNER_DETAILS_FRM,
  RN11_RELIST_REVIEW_REQUEST_PREVIEW,
  RN11_RELIST_WORKITEM_DETAILS_FRM,
  RN11A_INCOMPLETE_FORM,
  RN11B_INCOMPLETE_FORM,
  RN11A_DASHBOARD_VIEW,
  RN11B_DASHBOARD_VIEW,
  TEMP_RN18_FINAL_SPLIT_PREVIEW,
  TEMP_RN18_FINAL_TEST_PREVIEW,
  TEMP_RN18_FINAL_SELL_PREVIEW,
  TEMP_RN18_FINAL_GRANT_PREVIEW,
  TEMP_RN18_PROXY_FINAL_SPLIT_PREVIEW,
  TEMP_RN18_PROXY_FINAL_TEST_PREVIEW,
  TEMP_RN18_PROXY_FINAL_SELL_PREVIEW,
  TEMP_RN18_PROXY_FINAL_GRANT_PREVIEW,
  TEMP_RN18_PROXY_TEST_PREVIEW,
  TEMP_PROXY_USER_LOGIN,
  TEMP_PROXY_AND_APPLICANT_DETAILS_LOGIN,
  FEESLOOKUP_TABLE_DETAILS,
  RN_ROP_GCC_OWNER_TABLE_LIST,
  TEMP_RN22_SERVICE_SELECTION,
  TEMP_RN22_INDIVIDUAL_PREVIEW,
  TEMP_RN22_CHAMBER,
  POST_CHAMBER,
  TEMP_RN22_MUNICIPALITY,
  POST_MUNICIPALITY,
  POST_MANPOWER,
  TEMP_RN22_COMPANY_PREVIEW,
  TEMP_RN22_SEARCH_SELLER,
  TEMP_RN22_FOAM_MUNICIPALITY,
  TEMP_RN22_COMPANY_REQUEST_ACTIVITY,
  TEMP_RN22_WORKITEM_COMPANY_DETAILS,
  TEMP_RN22_WORKITEM_INDIVIDUAL_DETAILS,
  TEMP_COMMON_APPLICANT_VIEW,
  GET_DOCUMENT_CONTENT,
  TEMP_PAYEE_TABEL_LIST,
  SERVICE_PAYEE_TYPE_LOOKUP,
  ServiceIcons,
  RN2RN3ApprovalPreview,
  ROPAPPROVAL_FORM,
  ROPINFORMATION_FORM,
  ROPAPPROVAL_PREVIEW_FORM,
  RN2RN3ApprovalUnFreezePreview,
  RN2RN3ApprovalFreezePreview,
  RN2RN3COMPANYApprovalUnFreezePreview,
  RN2RN3COMPANYApprovalFreezePreview,
  STATUS_CHECKLIST,
  RN4_REOWNER_PREVIEW_FORM,
  RN4_COMPANY_REOWNER_PREVIEW_FORM,
  RN4_COMPANY_PAYLATER_RESUBMIT_APPLICATION_FORM,
  RN4_BANK_SERVICE_PAYLATER_APPLICATION_FORM,
  RN4_SERVICE_PAYLATER_APPLICATION_FORM,
  TEMP_PROXY_AND_APPLICANT_DETAILS_LOGIN_VIEW,
  TRANSFER_ENTITY_DETAILS_PREVIEW,
  TRANSFER_ENTITY_VIEW_DETAILS_PREVIEW,
  RN5_SERVICE_ENTITY_RESUBMIT_APPLICATION_FORM,
  TRANSFER_ENTITY_OWNER_DETAILS_PREVIEW,
  TRANSFER_ENTITY_MORTGAGE_PAYMENT_PREVIEW,
  TEMP_APPLICANT_DETAILS_VIEW,
  TRANSFER_OWNER_DETAILS_PREVIEW,
  TRANSFER_MORTGAGE_COMPANY_ENTITY_DETAILS_PREVIEW,
  TRANSFER_COMPANY_ENTITY_VIEW_DETAILS_PREVIEW,
  TRANSFER_COMPANY_MORTGAGE_DETAILS_PREVIEW,
  TRANSFER_COMPANY_VIEW_DETAILS_PREVIEW,
  TRANSFER_COMPANY_ENTITY_MORTGAGE_PAYMENT_PREVIEW,
  TRANSFER_COMPANY_MORTGAGE_PAYMENT_PREVIEW,
  TRANSFER_COMPANY_OWNER_DETAILS_PREVIEW,
  TRANSFER_COMPANY_ENTITY_OWNER_DETAILS_PREVIEW,
  RN5_SERVICE_COMPANY_RESUBMIT_APPLICATION_FORM,
  RN5_SERVICE_COMPANY_ENTITY_RESUBMIT_APPLICATION_FORM,
  RELEASE_COMPANY_MORTGAGE_DETAILS_PREVIEW,
  RELEASE_COMPANY_VIEW_DETAILS_PREVIEW,
  RN6_SERVICE_COMPANY_RESUBMIT_APPLICATION_FORM,
  RN6_SERVICE_OWNER_COMPANY_PREIVEW,
  RN6_SERVICE_OWNER_PREIVEW,
  RELEASE_MORTGAGE_COMPANY_PAYMENT_PREVIEW,
  NOTIFY_MSG,
  RN9_SERVICE_OWNER_APPLICATION_FORM,
  PROXY_CLASS_FREEZE,
  PROXY_CLASS_UNFREEZE,
  TEMP_SANAD_OFFICE_USER_SIGN_IN,
  RN21_SELLER_SEARCH_FORM,
  RN21_SELLER_DETAILS_FORM,
  RN21_BROKER_APPLICANT_DETAILS_PREVIEW,
  RN13C_BROKER_APPLICANT_PAYMENT_PREVIEW_FORM,
  RN21_BROKER_COMPANY_APPLICANT_DETAILS_PREVIEW,
  RN13C_BROKER_COMPANY_STANDARD_PREVIEW,
  RN13C_BROKER_COMPANY_CONTRACT_DETAILS_PREVIEW,
  RN21_BROKER_COMPANY_DETAILS_PREVIEW,
  RN21_REOWNER_BROKER_COMPANY_FINAL_PREVIEW_FORM,
  RN21_BUYERS_DETAILS_COMPANY_PREVIEW,
  RN13C_BROKER_COMPANY_APPLICANT_PAYMENT_PREVIEW_FORM,
  RN21_REOWNER_COMPANY_BROKER_PREVIEW_FORM,
  IDLE_TIMEOUT,
  RN21_USER_STANDARD_INITAL_PREVIEW,
  RN21_REOWNER_STANDARD_INITAL_PREVIEW,
  RN21_USER_COMPANY_STANDARD_INITAL_PREVIEW,
  RN21_REOWNER_COMPANY_STANDARD_INITAL_PREVIEW,
  RN21_COMPANY_CONTRACT_REOWNER_PREVIEW_FORM,
  RN21_CONTRACT_REOWNER_PREVIEW_FORM,
  RN1E_DOC_DETIALS,
  RN6_GET_MORTGAGE_APPLICATION_LIST_CONFIG,
  RN6_USER_APPLICANT_FORM,
  INDIVIDUAL_DETAILS_FORM,
  REALESTATE_TABLE_LIST,
  LANDINFO_TABLE_FORM,
  REOWNERINFO_TABLE_LIST_FORM,
  COMPANY_DETAILS_FORM,
  CREATE_COMPANY,
  COMPANY_REGISTER_FORM,
  ADMIN_REGISTER_FORM,
  ADMIN_DETAIL_FORM,
  ADMIN_DETAIL_PREVIEW,
  COMPANY_REGISTER_PREVIEW,
  GET_COMPANY_DETAILS,
  COMPANY_DETAILS,
  GET_MOCI_COMPANY_DETAILS,
  DOC_NUM_SEARCH_FORM,
  INVOLVEDPARTYTYPEID,
  BUYER_REOWNER_PREVIEW,
  BUYER_COMPANY_REOWNER_PREVIEW,
  TEMP_RN9_ORG_TABLE_LIST,
  WAKF_REGISTER_FORM,
  TEMP_RN9_WAKF_DETAILS,
  WAKF_REGISTERATION_PREVIEW_FORM,
  CREATE_OTHER_ENTITY,
  ID_TYPE_ID,
  TEMP_RN2_RE_SEARCH_FORM,
  COURT_CASE_DETAILS_FORM,
  COURT_DETAILS_FORM,
  RN2_COURT_APPLICATION_PREVIEW_FORM,
  RN3_COURT_CASE_NUMBER_SEARCH_FORM,
  INDIVIDUAL_BASIC_DETAILS_FORM,
  RN3_MOHUSER_UNFREEZE_SEARCH_FORM,
  TEMP_SEARCH_WAKF_FORM,
  TEMP_WAKF_REPRESENTATIVE_TABLE_LIST,
  TEMP_REPRESENTATIVE_DETAILS_FORM,
  ID_CARD_DETAILS_FORM,
  TEMP_RN2_UNFREEZE_COURT_PREVIEW,
  RE_MARK_ID,
  TEMP_RN9_WAKF_TABLE_LIST,
  PROFILE_LIST,
  INVOLVEDPARTYSUBTYPEID,
  GET_NAME_CHANGE_LIST_CONFIG,
  RN2_COURT_APPLICATION_COMPANY_PREVIEW_FORM,
  RN7_INHERITANCE_MNNER_TABLE_LIST,
  RN7_GET_OWNER_INFO_LIST,
  RN7_SPLIT_RE_ENTITY_FRM,
  RN7_DECEASED_PERSON_DETAILS
};