const AppList_Config = {
    "applistdata": {
        "RN01": {
            "key": "RN01",
            "subkeys": ["RN01A", "RN01B", "RN01C","RN01D","RN01E"],
            "label": "NEW_RE_OWNERSHIP_REQ",
            "orgbtnpath": "/e-service/real-estate/orguser",
            "btnpath": "/e-service/real-estate/review-reownership/re-e-file",
            "viewUrl": "/e-service/real-estate/dashboard-application-details",
            "brdcrumtitle": "REAL_ESTATE"
        },
        "RN02": {
            "key": "RN02",
            // "subkeys": ["RN01A", "RN01B", "RN01C","RN01D","RN01E"],
            "label": "BUTTON_NEW_FREEZE_LABEL",
            "orgbtnpath": "/e-service/real-estate/orguser",
            "btnpath": "/e-service/real-estate/freezing-real-estate/application-land-freezing",
            "viewUrl": "/e-service/real-estate/dashboard-application-details",
            "brdcrumtitle": "REAL_ESTATE"
        },
        "RN03": {
            "key": "RN03",
            // "subkeys": ["RN01A", "RN01B", "RN01C","RN01D","RN01E"],
            "label": "BUTTON_NEW_UNFREEZE_LABEL",
            "orgbtnpath": "/e-service/real-estate/orguser",
            //"btnpath": "/e-service/real-estate/freezing-real-estate/unfreeze-application-query",
            "btnpath": "/e-service/real-estate/freezing-real-estate/application-land-freezing",
            "viewUrl": "/e-service/real-estate/dashboard-application-details",
            "brdcrumtitle": "REAL_ESTATE"
        },
        "RN04": {
            "key": "RN04",
            "label": "NEW_MORTGAGE_REQUEST",
            "btnpath": "/e-service/real-estate/register-mortgage/create-user-mortgage",
            "viewUrl": "/e-service/real-estate/register-mortgage/land-request-application-details",
            "brdcrumtitle": "REAL_ESTATE"
        },
        "RN05": {
            "key": "RN05",
            "subkeys": ["RN05A", "RN05B"],
            "label": "NEW_MORTGAGE",
            "title": "TRANSFER_MORTGAGE",
            "btnpath": "/e-service/real-estate/transfer-mortgage/mortgage-user",
            "viewUrl": "/e-service/real-estate/transfer-mortgage/view-application-details",
            "brdcrumtitle": "REAL_ESTATE"
        },
        "RN06": {
            "key": "RN06",
            "label": "RELEASE_MORTGAGE",
            "btnpath": "/e-service/real-estate/release-mortgage/request-application",
            "viewUrl": "/e-service/real-estate/release-mortgage/view-application-details",
            "brdcrumtitle": "REAL_ESTATE"
        },
        "RN07": {
            "key": "RN07",
            "label": "RN7_HEADER_BUTTON_TEXT",
            "btnpath": "/e-service/real-estate/inheritance/deceased",
            "viewUrl": "/e-service/real-estate/rn7/workitem/rn7-application-detail",
            "brdcrumtitle": "REAL_ESTATE"
        },
        "RN08": {
            "key": "RN08",
            "label": "New Testament",
            "btnpath": "/e-service/real-estate/testament/request-application",
            "viewUrl": "/e-service/real-estate/testament/view-application-details",
            "brdcrumtitle": "REAL_ESTATE"
        },
        "RN09": {
            "key": "RN09",
            "label": "Register Endowment", 
            "btnpath": "/e-service/real-estate/rn9/wizard",
            "viewUrl": "/e-service/real-estate/endowment/application-details",
            "brdcrumtitle": "REAL_ESTATE"
        },
        "RN10": {
            "key": "RN10",
            "label": "RN10_HEADER",
            "btnpath": "/e-service/real-estate/rn10/wizard",
            "viewUrl": "/e-service/real-estate/rn10/workitem/rn10-workitem-preview",
            "brdcrumtitle": "REAL_ESTATE"
        },
        "RN12": {
            "key": "RN12",
            "label": "New Split",
            "btnpath": "/e-service/real-estate/split/request-application",
            "viewUrl": "/e-service/real-estate/split/view-application-details",
            "brdcrumtitle": "REAL_ESTATE"
        },
        "LN03": {
            "key": "LN03",
            "label": "NEW_LAND_REQUEST",
            "btnpath": "/e-service/land/request-application",
            "viewUrl": "/e-service/land/land-request-application-details",
            "brdcrumtitle": "LAND"
        },
        "LN04": {
            "key": "LN04",
            "label": "LN4_RIGHT_OF_USUFRUCT",
            "btnpath": "/e-service/land/usufruct-request-application",
            "viewUrl": "/e-service/land/request-the-right-of-usufruct/application-details",
            "brdcrumtitle": "LN4_RIGHT_OF_USUFRUCT"
        },
        "RN13": {
            "key": "RN13",
            "subkeys": ["RN13A", "RN13B", "RN13C"],
            "label": "NEW_SALE_CONTRACT",
            "orgbtnpath": "/e-service/real-estate/orguser",
            "btnpath": "/e-service/real-estate/rn-13/wizard",
            "viewUrl": "/e-service/real-estate/rn-13/dashboard/preview",
            "brdcrumtitle": "REAL_ESTATE"
        },
        "LN05": {
            "key": "LN05",
            "label": "LN5_HEADER",
            "btnpath": "/e-service/land/renewal-usufruct",
            "viewUrl": "/e-service/land/renewal-usufruct/dashboard-preview",
            "brdcrumtitle": "Request for renewal usufruct contract"
        },
        "LN06": {
            "key": "LN06",
            "label": "USUFRUCT_CANCEL_CONTRACT",
            "btnpath": "/e-service/land/usufruct-contract-data-application",
            "viewUrl": "/e-service/land/usufruct-contract/dashboard",
            "brdcrumtitle": "REQ_FOR_CANCELATION_USUFRUCT_CONTRACT"
        },
        "RN15": {
            "key": "RN15",
            "label": "RN15_USUFRUCT",
            "btnpath": "/e-service/real-estate/rn-15/usufruct-contract/wizard",
            "viewUrl": "/e-service/real-estate/rn-15/usufruct-contract/dashboard",
            "brdcrumtitle": "REAL_ESTATE"
        },
        "RN16": {
            "key": "RN16",
            "label": "Transfer Usufruct",
            "btnpath": "/e-service/real-estate/transfer-usufruct-contract/request-application",
            "viewUrl": "/e-service/real-estate/rn-15/usufruct-contract/dashboard",
            "brdcrumtitle": "Transfer Usufruct"
        },
        "RN17": {
            "key": "RN17",
            "label": "Release Usufruct",
            "btnpath": "/e-service/real-estate/rn-17/usufruct-contract/request-application",
            "viewUrl": "/e-service/real-estate/rn-15/usufruct-contract/dashboard",
            "brdcrumtitle": "REAL_ESTATE"
        },
        "RN18": {
            "key": "RN18",
            "label": "Register Final Judgement",
            "btnpath": "/e-service/real-estate/register-final-judgement/request-application",
            "viewUrl": "/e-service/real-estate/register-final-judgement/dashboard",
            "brdcrumtitle": "Register Final Judgement"
        },
        "PS07": { //psn7
            "key": "PS07",
            "label": "Divide Buildings",
            "btnpath": "/e-service/planning-survey/request-dividing-buildings",
            "viewUrl": "/e-service/planning-survey/request-dividing-buildings/dashboard",
            "brdcrumtitle": "PLANNING_AND_SURVEY"
        },
        "PS04": {
            "key": "PS04",
            "label": "REMOVAL_OF_AFFECTED_LAND",
            "btnpath": "/e-service/planning-survey/removal-of-affected-land",
            "viewUrl": "/e-service/planning-survey/removal-of-affected-land/dashboard",
            "brdcrumtitle": "PLANNING_AND_SURVEY"
        },
        "PS05": {
            "key": "PS05",
            "label": "COMP_FOR_AFFECTED_LAND",
            "btnpath": "/e-service/planning-survey/compensation-for-affected-land",
            "viewUrl": "/e-service/planning-survey/compensation-for-affected-land/dashboard",
            "brdcrumtitle": "PLANNING_AND_SURVEY"
        },
        "RN11": {
            "key": "RN11",
            "subkeys": ["RN11A", "RN11B"],
            "label": "Access Data",
            "btnpath": "/e-service/real-estate/rn-11/realestate-review/request-application",
            "viewUrl": "/e-service/real-estate/rn-11/realestate-review/dashboard",
            "brdcrumtitle": "REAL_ESTATE"
        },
        "RN22": {
            "key": "RN22",
            "label": "NEW_SALE_CONTRACT",
            "btnpath": "/e-service/real-estate/register-sale-contract-buisniess/wizard",
            "viewUrl": "/e-service/real-estate/register-sale-contract-buisniess/dashboard/preview",
            "brdcrumtitle": "REAL_ESTATE"
        },
        "PS06": { //psn6
            "key": "PS06",
            "label": "Appropriate",
            "btnpath": "/e-service/planning-survey/planning-appropriation",
            "viewUrl": "/e-service/planning-survey/planning-appropriation/preview",
            "brdcrumtitle": "PLANNING_AND_SURVEY"
        },
        "PS03": { //psn6
            "key": "PS03",
            "label": "Change Request",
            "btnpath": "/e-service/planning-survey/change-of-land-use",
            "viewUrl": "/e-service/planning-survey/change-of-land-use/preview",
            "brdcrumtitle": "PLANNING_AND_SURVEY"
        },
        "WA01": { //Admin
            "key": "WA01",
            "label": "Wakf Registration",
            "btnpath": "/e-service/planning-survey/change-of-land-use",
            "viewUrl": "/e-service/planning-survey/change-of-land-use/preview",
            "brdcrumtitle": "Wakf Registration"
        },
        "AD02": { //Admin
            "key": "AD01",
            "label": "Company Registration",
            "btnpath": "/e-service/planning-survey/change-of-land-use",
            "viewUrl": "/e-service/planning-survey/change-of-land-use/preview",
            "brdcrumtitle": "Company Registration"
        }
    }
}

export default AppList_Config;
